------------------------------------------------------------------------
r3615 | const_k | 2009-03-05 11:50:22 +0600 (Thu, 05 Mar 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncCanvas.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.jar

[Build fix] Updated built-in Java viewer to the latest version.
------------------------------------------------------------------------
r3603 | syuri | 2009-02-12 17:54:52 +0600 (Thu, 12 Feb 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss

[Bugfix] Kill WinVNC under Windows 9x/ME before uninstall.
------------------------------------------------------------------------
r3602 | syuri | 2009-02-12 17:26:47 +0600 (Thu, 12 Feb 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss

[Development] Removing separate installing for all and one user. Leaving only one checked box for start service.
------------------------------------------------------------------------
r3601 | syuri | 2009-02-12 15:37:19 +0600 (Thu, 12 Feb 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss

[Bugfix] Removing "net start winvnc" command from setup if setup has run under windows 95 - 98.
------------------------------------------------------------------------
r3597 | const_k | 2009-02-12 11:48:52 +0600 (Thu, 12 Feb 2009) | 1 line
Changed paths:
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.exe.manifest
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.exe.manifest

[Cleanups] Removed *.exe.manifest files since we don't use them any more.
------------------------------------------------------------------------
r3594 | const_k | 2009-02-10 20:40:08 +0600 (Tue, 10 Feb 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer-vc8.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC-vc8.vcproj

[Build fix] Synchronized VC8 projects with the latest VC9 files. In particular, this makes both server and viewer to use Common Controls Library version 6 if it's available.
------------------------------------------------------------------------
r3593 | const_k | 2009-02-07 23:29:41 +0600 (Sat, 07 Feb 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnectionFile.cpp

[Bugfix] The viewer could not handle passwords from saved .vnc files correctly if the first byte of their encrypted representation was zero.
------------------------------------------------------------------------
r3592 | const_k | 2009-02-07 21:37:31 +0600 (Sat, 07 Feb 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp

[Build fix] Fixed VC6 compilation.
------------------------------------------------------------------------
r3591 | const_k | 2009-02-05 17:23:41 +0600 (Thu, 05 Feb 2009) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss

[Packaging] Removed detailed change log from shortcuts.

------------------------------------------------------------------------
r3588 | const_k | 2009-02-05 15:46:27 +0600 (Thu, 05 Feb 2009) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README-bin.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

[Packaging] Version-specific information updated, version 1.3.10.

------------------------------------------------------------------------
r3587 | const_k | 2009-02-05 15:38:08 +0600 (Thu, 05 Feb 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/InstInfo.rtf

[Packaging] Updated year in a copyright notice.
------------------------------------------------------------------------
r3571 | const_k | 2009-01-26 09:44:34 +0600 (Mon, 26 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc

[Packaging] Version info changed in the resources of the vncviewer, version 1.3.9.9.
------------------------------------------------------------------------
r3568 | const_k | 2009-01-23 18:34:02 +0600 (Fri, 23 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/AuthPanel.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/ButtonPanel.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/CapabilityInfo.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/CapsContainer.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/ClipboardFrame.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/DesCipher.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/InStream.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/MemInStream.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/OptionsFrame.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/RecordingFrame.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/ReloginPanel.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/RfbProto.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/SessionRecorder.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/SocketFactory.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncCanvas.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncCanvas2.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.jar
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/ZlibInStream.class

[Build fix] Updated built-in Java viewer to the latest version.
------------------------------------------------------------------------
r3566 | const_k | 2009-01-22 10:29:23 +0600 (Thu, 22 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj

[Build fix] Including the dependency on Common Controls Library 6.0 in a more reliable way. Not sure why but using standalone manifest file required full rebuilding, otherwise the manifest might not be included at all.
------------------------------------------------------------------------
r3565 | const_k | 2009-01-22 10:19:08 +0600 (Thu, 22 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

[User interface] Changed font in dialogs from "MS Sans Serif" to "MS Shell Dlg". This fixes password fields with rectangles in Windows XP.
------------------------------------------------------------------------
r3564 | const_k | 2009-01-21 10:13:49 +0600 (Wed, 21 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnectionClipboard.cpp

[Security fix] Fixed integer overflow vulnerabilities discovered by Ariel Futoransky, Fernando Russ and Alfredo Ortega from Core Security Technologies.
------------------------------------------------------------------------
r3563 | const_k | 2009-01-20 18:18:19 +0600 (Tue, 20 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.cpp

[Bugfix] Fixed a bug in file transfers. When the viewer could not create a file while downloading, it requested the same file again repeatedly after showing an error message.
------------------------------------------------------------------------
r3562 | const_k | 2009-01-20 16:37:17 +0600 (Tue, 20 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnectionFullScreen.cpp

[Bugfix] Fixed problems with full-screen viewer in Windows Vista where Windows taskbar could be shown above the "full-screen" window.
------------------------------------------------------------------------
r3558 | const_k | 2009-01-16 18:35:44 +0600 (Fri, 16 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

[User interface] Fixed control layout problems shown up when using Common Controls Library version 6.
------------------------------------------------------------------------
r3557 | const_k | 2009-01-16 18:23:16 +0600 (Fri, 16 Jan 2009) | 1 line
Changed paths:
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.exe.manifest
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.vcproj
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.exe.manifest
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj

[Build fix] Made both server and viewer to use Common Controls Library version 6 if its available.
------------------------------------------------------------------------
r3556 | syuri | 2009-01-16 17:17:05 +0600 (Fri, 16 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.h

[Refactoring] Using silent as parameter of the InstallService(), RemoveService() and ReinstallService() functions instead of its usage as a member of vncService class.
------------------------------------------------------------------------
r3546 | const_k | 2009-01-15 15:38:29 +0600 (Thu, 15 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.cpp

[Bugfix] Allow configuring JPEG quality level regardless of the preferred encoding set. This makes sense because TightVNC Servers can transmit video data as JPEG even if Tight is not the preferred encoding.
------------------------------------------------------------------------
r3545 | const_k | 2009-01-15 11:54:05 +0600 (Thu, 15 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.cpp

[Bugfix] Fixed a bug with not saving log file name correctly on using the Browse button.
------------------------------------------------------------------------
r3544 | const_k | 2009-01-15 11:35:08 +0600 (Thu, 15 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/SessionDialog.cpp

[Bugfix] Not trying to load connection settings for empty host name if the connection history is empty.
------------------------------------------------------------------------
r3543 | const_k | 2009-01-15 11:14:37 +0600 (Thu, 15 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/SessionDialog.cpp

[Bugfix] On loading connection history from the registry, don't load empty host names.
------------------------------------------------------------------------
r3542 | const_k | 2009-01-15 11:08:00 +0600 (Thu, 15 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.h

[Bugfix] Removing extra saved connections on decreasing the history limit.
------------------------------------------------------------------------
r3541 | const_k | 2009-01-15 10:11:32 +0600 (Thu, 15 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp

[Enhancement] SaveConnectionHistory() function in ClientConnection has been rewritten. New version reorders connections if there were empty or missing records. Also, it removes options for the connection that was not saved due to exceeding maximum saved connections limit. Finally, new code is much cleaner.
------------------------------------------------------------------------
r3540 | const_k | 2009-01-14 19:08:12 +0600 (Wed, 14 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.h

[Refactoring, bugfixes] Moved the code which closes the Options dialog from SessionDialog to the VNCOptions itself. Checking window handle of the dialog before using it.
------------------------------------------------------------------------
r3539 | const_k | 2009-01-13 17:29:09 +0600 (Tue, 13 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/SessionDialog.cpp

[Enhancement] While reading connection history from the registry, don't stop on the first missing record, try to skip to the next record instead. This would allow graceful handling of the cases when some records were be removed from the registry manually.
------------------------------------------------------------------------
r3538 | const_k | 2009-01-13 15:22:32 +0600 (Tue, 13 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/SessionDialog.cpp

[Bugfix] Fixed keyboard navigation in the VNC Server combo box of the New TightVNC Connection combo box.
------------------------------------------------------------------------
r3537 | const_k | 2009-01-13 14:40:46 +0600 (Tue, 13 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.h

[Bugfix] The viewer did not remember VNC host name typed by the user if that connection was not successful. That behavior should be considered a bug because programs should not make users enter the same information repeatedly.
------------------------------------------------------------------------
r3536 | const_k | 2009-01-13 13:49:38 +0600 (Tue, 13 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp

[Cleanup] A better name for a local variable.
------------------------------------------------------------------------
r3535 | syuri | 2009-01-11 18:02:50 +0600 (Sun, 11 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss

[Development] Removing service installation if run under Windows Vista. Removing service before uninstalling. Adding shortcut to start menu folder for uninstall. Selecting shortcut install target (all users or only current user).
------------------------------------------------------------------------
r3534 | syuri | 2009-01-11 14:40:21 +0600 (Sun, 11 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.h

[Enhancement] Adding new "-silent" command line parameter.
------------------------------------------------------------------------
r3533 | const_k | 2009-01-11 02:23:32 +0600 (Sun, 11 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncBuffer.cpp

[Bugfix] LastRect, XCursor and RichCursor pseudo-encodings were not properly enabled if they preceded true encodings in the SetEncodings protocol message.
------------------------------------------------------------------------
r3532 | const_k | 2009-01-10 22:06:38 +0600 (Sat, 10 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

[Bugfixes] Restoring error modes correctly, a bugfix from Dennis Syrovatsky.
------------------------------------------------------------------------
r3531 | const_k | 2009-01-10 20:38:03 +0600 (Sat, 10 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

[Bugfix] If the server could not impersonate current user on processing file transfers, it did not always read complete client messages, and that resulted in protocol error and disconnect on next read operation. Now it should read complete messages on impersonation failures.
------------------------------------------------------------------------
r3530 | const_k | 2009-01-10 20:03:37 +0600 (Sat, 10 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

[Debug] Log received RFB messages.
------------------------------------------------------------------------
r3529 | const_k | 2009-01-10 18:21:27 +0600 (Sat, 10 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.h

[Bugfix] Impersonating currently logged on user while processing file transfer requests. Disabling file transfers if current user is unknown or nobody is logged in.
------------------------------------------------------------------------
r3528 | const_k | 2009-01-09 00:40:47 +0600 (Fri, 09 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.h

[Refactoring] Made arguments to vncService::ProcessUserHelperMessage() self-descriptive, removed unused argument.
------------------------------------------------------------------------
r3527 | const_k | 2009-01-08 19:18:54 +0600 (Thu, 08 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.dsp

[Build fix] Fixed problems with updating build time on each link.
------------------------------------------------------------------------
r3526 | const_k | 2009-01-08 19:03:47 +0600 (Thu, 08 Jan 2009) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.cpp

[Bugfixes] Restoring error modes correctly, a bugfix from Dennis Syrovatsky.
------------------------------------------------------------------------
r2978 | const_k | 2008-10-11 01:20:57 +0700 (Sat, 11 Oct 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg/libjpeg.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/omnithread.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib/zlib.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg/libjpeg.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread/omnithread.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib/zlib.dsp

[Build fixes] Configuring build environment (it's Visual C++ 6.0 this time) to create intermediate files in separate per-project subdirectories under the output directories.
------------------------------------------------------------------------
r2977 | const_k | 2008-10-10 23:45:06 +0700 (Fri, 10 Oct 2008) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg/libjpeg-vc8.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/omnithread-vc8.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer-vc8.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib/zlib-vc8.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks-vc8.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC-vc8.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg/libjpeg-vc8.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread/omnithread-vc8.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib/zlib-vc8.vcproj

[Build fixes] Configuring build environment (Visual Studio 2005 Express Edition) to create intermediate files in separate per-project subdirectories under the output directories.
NOTE: Changes in rev.2973 were applicable to Visual Studio 2008 (not 2005).
------------------------------------------------------------------------
r2973 | const_k | 2008-10-10 17:32:23 +0700 (Fri, 10 Oct 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg/libjpeg.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/omnithread.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib/zlib.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg/libjpeg.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread/omnithread.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib/zlib.vcproj

[Build fixes] Configuring build environment (Visual Studio 2005 Express Edition) to create intermediate files in separate per-project subdirectories under the output directories.
------------------------------------------------------------------------
r2971 | const_k | 2008-10-10 16:14:02 +0700 (Fri, 10 Oct 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj

[Build fix] Eliminated linker warnings about conflicting default libraries in Visual C++ 2008 Express Edition.
------------------------------------------------------------------------
r2970 | const_k | 2008-10-10 15:21:36 +0700 (Fri, 10 Oct 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc

[Layout] Ignoring temporary files created by Visual C++ 2005 (in addition to rev.2943).
------------------------------------------------------------------------
r2969 | const_k | 2008-10-10 15:15:43 +0700 (Fri, 10 Oct 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer-vc8.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC-vc8.vcproj

[Build fix] Eliminated linker warnings about conflicting default libraries in Visual C++ 2005 Express Edition.
------------------------------------------------------------------------
r2968 | const_k | 2008-10-10 14:52:43 +0700 (Fri, 10 Oct 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.dsp

[Build fix] Eliminated linker warnings about conflicting default libraries in Visual C++ 6.0.
------------------------------------------------------------------------
r2958 | const_k | 2008-10-10 11:01:44 +0700 (Fri, 10 Oct 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnectionTight.cpp

[Bugfix] Increased the limitation on the JPEG rectangle width from 2048 to 8192. Normally, TightVNC Server should not ever send Tight-encoded rectangles wider than 2048 pixels but we should not rely on that in the viewer.
------------------------------------------------------------------------
r2957 | const_k | 2008-10-10 10:30:06 +0700 (Fri, 10 Oct 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp

[Debug] Added another debugging version of GetChangedRegion(), commented out.
------------------------------------------------------------------------
r2943 | const_k | 2008-10-09 14:24:16 +0700 (Thu, 09 Oct 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib

Ignoring temporary files created by Visual C++ 2005.
------------------------------------------------------------------------
r2833 | const_k | 2008-09-30 00:52:13 +0700 (Tue, 30 Sep 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

[Cleanup] Removed conditional blocks that will never be executed after applying the fix from rev.2832.
------------------------------------------------------------------------
r2832 | const_k | 2008-09-30 00:04:18 +0700 (Tue, 30 Sep 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

[Bugfix] This change should fix rendering problems when multiple CopyRects were combined with normal updates. That caused distortions that never updated even with full-screen polling active.
------------------------------------------------------------------------
r2667 | const_k | 2008-08-14 17:48:59 +0700 (Thu, 14 Aug 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.h

Commented out the debugging version of vncDesktop::GetChangedRegion().
------------------------------------------------------------------------
r2654 | const_k | 2008-08-08 18:56:49 +0700 (Fri, 08 Aug 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.h

Made the code of vncDesktop::CopyRect() closer to its version of 1.2.9. This does not fix known CopyRect bugs yet, but hopefully will help to locate them easier.
------------------------------------------------------------------------
r2653 | const_k | 2008-08-08 17:54:21 +0700 (Fri, 08 Aug 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj

Removed missing files from the project, arranged other files into proper folders.
------------------------------------------------------------------------
r2652 | const_k | 2008-08-08 17:48:32 +0700 (Fri, 08 Aug 2008) | 1 line
Changed paths:
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/History.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp

CopyRectToBuffer() should copy data within the back buffer, not from the main buffer.
------------------------------------------------------------------------
r2651 | const_k | 2008-08-08 17:33:32 +0700 (Fri, 08 Aug 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp

Minor code cleanups and changes in comments.
------------------------------------------------------------------------
r2648 | const_k | 2008-08-08 15:41:12 +0700 (Fri, 08 Aug 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.h

Cleanups in the vncDesktop::CopyRectToBuffer function to make the code easier to understand.
------------------------------------------------------------------------
r2647 | const_k | 2008-08-07 17:32:54 +0700 (Thu, 07 Aug 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj

Fixed link problems in the Win32|Debug configuration.
------------------------------------------------------------------------
r2642 | const_k | 2008-08-05 01:03:32 +0700 (Tue, 05 Aug 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/SessionDialog.h

In the "New Connection" dialog, disable the "Connect" button if no VNC Server is specified. This would also fix the bug with attempting to connect even if the edit box is empty.
------------------------------------------------------------------------
r2429 | const_k | 2008-03-17 12:52:10 +0600 (Mon, 17 Mar 2008) | 1 line
Changed paths:
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING-bcc32.txt
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/build-bcc32.bat
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/Makefile.bcc32
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/Makefile.mingw
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg/Makefile.bcc32
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/Makefile.mingw
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/build-bcc32.bat
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/Makefile.mingw
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/build-bcc32.bat
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib/Makefile.bcc32
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/Makefile.bcc32
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/Makefile.bcc32
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/SharedData.cpp
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/SharedData.h
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks-bcc32.def
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg/Makefile.bcc32
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread/build-bcc32.bat
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib/Makefile.bcc32

Removed files for build environments not supported any more.
------------------------------------------------------------------------
r2428 | const_k | 2008-03-17 12:35:36 +0600 (Mon, 17 Mar 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt

Updated instructions on building the sources to reflect the fact that Visual Studio 2008 is now used instead of Visual Studio 2005.
------------------------------------------------------------------------
r2427 | const_k | 2008-03-17 12:32:11 +0600 (Mon, 17 Mar 2008) | 1 line
Changed paths:
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg/libjpeg-vc8.vcproj (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg/libjpeg.vcproj:2425)
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg/libjpeg.vcproj
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/omnithread-vc8.vcproj (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/omnithread.vcproj:2425)
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/omnithread.vcproj
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer-vc8.sln (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.sln:2425)
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer-vc8.vcproj (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.vcproj:2425)
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.sln
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.vcproj
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib/zlib-vc8.vcproj (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib/zlib.vcproj:2425)
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib/zlib.vcproj

Project files for vncviewer have been converted to Visual Studio 2008 format. Old files (Visual Studio 2005 format) have been backed up with "-vc8" added to their base filename.
------------------------------------------------------------------------
r2426 | const_k | 2008-03-17 12:11:21 +0600 (Mon, 17 Mar 2008) | 1 line
Changed paths:
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks-vc8.vcproj (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.vcproj:2421)
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.vcproj
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC-vc8.sln (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.sln:2421)
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC-vc8.vcproj (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj:2421)
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.sln
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg/libjpeg-vc8.vcproj (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg/libjpeg.vcproj:2421)
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg/libjpeg.vcproj
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread/omnithread-vc8.vcproj (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread/omnithread.vcproj:2421)
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread/omnithread.vcproj
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib/zlib-vc8.vcproj (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib/zlib.vcproj:2421)
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib/zlib.vcproj

Project files for WinVNC have been converted to Visual Studio 2008 format. Old files (Visual Studio 2005 format) have been backed up with "-vc8" added to their base filename.
------------------------------------------------------------------------
r2425 | const_k | 2008-03-17 11:50:34 +0600 (Mon, 17 Mar 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc

Fixes for resource compilation in Visual C++ 2008 Express Edition.
------------------------------------------------------------------------
r2422 | const_k | 2008-03-17 10:52:53 +0600 (Mon, 17 Mar 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc

Set SVN project language to English.
------------------------------------------------------------------------
r2421 | const_k | 2008-03-16 23:00:31 +0600 (Sun, 16 Mar 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/resource.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h

Fixes for resource compilation in Visual C++ 2008 Express Edition.
------------------------------------------------------------------------
r2419 | const_k | 2008-02-24 19:45:46 +0600 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.h

Reading and ignoring SetColourMapEntries messages instead of throwing exceptions in such cases.
------------------------------------------------------------------------
r2370 | const_k | 2007-11-22 20:24:18 +0600 (Thu, 22 Nov 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.h

Removed support for the -via command-line option. This reverts the change introduced in rev.2100. Automatic SSH tunneling support will be implemented by extending VNC host syntax, there is no need for the -via parameter.
------------------------------------------------------------------------
r2369 | const_k | 2007-11-13 11:15:23 +0600 (Tue, 13 Nov 2007) | 1 line
Changed paths:
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/.cvsignore
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/.cvsignore
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg/.cvsignore
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/.cvsignore
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/.cvsignore
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib/.cvsignore
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/.cvsignore
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/.cvsignore
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg/.cvsignore
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib/.cvsignore

Removed CVS control files.
------------------------------------------------------------------------
r2288 | const_k | 2007-04-30 18:22:09 +0700 (Mon, 30 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj

Updated project files of Visual C++ 2005 for adding build time information to the About dialog of WinVNC and vncviewer.
------------------------------------------------------------------------
r2287 | const_k | 2007-04-30 17:43:24 +0700 (Mon, 30 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt

Document updated to reflect the fact that TightVNC now can be compiled with Visual C++ 2005.
------------------------------------------------------------------------
r2286 | const_k | 2007-04-30 17:29:33 +0700 (Mon, 30 Apr 2007) | 1 line
Changed paths:
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/BuildTime.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/stdhdrs.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncAbout.cpp

Added build time information to the About dialog of WinVNC.
------------------------------------------------------------------------
r2285 | const_k | 2007-04-30 17:28:57 +0700 (Mon, 30 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/AboutBox.cpp
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/BuildTime.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/resource.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/stdhdrs.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.dsp

Added build time information to the About dialog of the viewer.
------------------------------------------------------------------------
r2284 | const_k | 2007-04-30 17:24:53 +0700 (Mon, 30 Apr 2007) | 1 line
Changed paths:
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC-Win95.iss

Due to recent changes in TightVNC.iss, we do not need a special version of the script for Win95 any more.
------------------------------------------------------------------------
r2283 | const_k | 2007-04-30 17:18:16 +0700 (Mon, 30 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss

Made the installation script work for all platforms again. On Windows 95, it will install one set of executables, on later versions - another set of executable files.
------------------------------------------------------------------------
r2282 | const_k | 2007-04-30 15:07:07 +0700 (Mon, 30 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss

Installer script will require Windows 98 or Windows NT 4.0SP3 or later.
------------------------------------------------------------------------
r2281 | const_k | 2007-04-30 14:40:17 +0700 (Mon, 30 Apr 2007) | 1 line
Changed paths:
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC-Win95.iss (from /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss:2280)

Created another copy of the installer script for Windows 95.
------------------------------------------------------------------------
r2279 | const_k | 2007-04-28 00:00:54 +0700 (Sat, 28 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj

Java viewer files were not included by resource compiler when building with Visual C++ 2005.
------------------------------------------------------------------------
r2278 | const_k | 2007-04-27 22:55:02 +0700 (Fri, 27 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/InStream.class
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/MemInStream.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/OptionsFrame.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/RfbProto.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncCanvas.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncCanvas2.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.jar
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/ZlibInStream.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncHTTPConnect.cpp

Built-in Java viewer updated to its current version.
------------------------------------------------------------------------
r2276 | const_k | 2007-04-27 13:37:38 +0700 (Fri, 27 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp

Fixed a serious bug introduced in rev.2150. After that "fix", user passwords were not read if default password was set. This should be included to version 1.3.9 as well.
------------------------------------------------------------------------
r2272 | const_k | 2007-04-26 22:24:05 +0700 (Thu, 26 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h

Solution for the situation when passwords were decoded and checked each time on updating the tray icon, once per second. Now we use cached values in ValidPasswordsSet() and ValidPasswordsEmpty() methods. Hopefully, this is the last change to be included in version 1.3.9.
------------------------------------------------------------------------
r2266 | const_k | 2007-04-26 17:55:21 +0700 (Thu, 26 Apr 2007) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README-bin.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

Version strings updated, version 1.3.9.

------------------------------------------------------------------------
r2265 | const_k | 2007-04-26 10:58:38 +0700 (Thu, 26 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.vcproj

Eliminated compilation warnings under Visual C++ 2005.
------------------------------------------------------------------------
r2264 | const_k | 2007-04-26 10:38:52 +0700 (Thu, 26 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg/libjpeg.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/omnithread.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.sln
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib/zlib.vcproj

Ported vncviewer to Visual C++ 2005 Express Edition.
------------------------------------------------------------------------
r2263 | const_k | 2007-04-25 17:24:33 +0700 (Wed, 25 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc

Merged changes from orig/branches/1.3-novell, revisions 2197:2207.
------------------------------------------------------------------------
r2260 | const_k | 2007-04-23 13:08:31 +0700 (Mon, 23 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncAbout.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncAbout.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.h

Making the Properties dialog window foreground on activation. Also, existing Properties and About dialogs will be raised up to foreground on choosing corresponding menu commands.
------------------------------------------------------------------------
r2259 | const_k | 2007-04-23 12:51:50 +0700 (Mon, 23 Apr 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.dsp

Synchronized .dsp and .vcproj project files for WinVNC.
------------------------------------------------------------------------
r2258 | const_k | 2007-04-23 11:11:24 +0700 (Mon, 23 Apr 2007) | 1 line
Changed paths:
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/DynamicFn.cpp
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/DynamicFn.h
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/TsSessions.cpp
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/TsSessions.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp

Fixed problems with running WinVNC service and Terminal Services. When a Remote Desktop (RDP) client connected to the console, WinVNC showed black screen and did not restore normal operations even on disconnection of that RDP client. Now, we always share the console correctly, and disable simultaneous RDP and VNC sessions. The changes were ported from VNC 4.1.2.
------------------------------------------------------------------------
r2237 | const_k | 2007-03-16 12:12:00 +0600 (Fri, 16 Mar 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.sln
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg/libjpeg.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread/omnithread.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncEncodeZlib.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncEncodeZlibHex.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncEncoder.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib/zlib.vcproj

Ported WinVNC to Visual C++ 2005 Express Edition.
------------------------------------------------------------------------
r2236 | const_k | 2007-03-13 10:37:26 +0600 (Tue, 13 Mar 2007) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncInstHandler.cpp

Bugfix: the vncInstHandler::Init() function stored the mutex handle in a local variable instead of m_mutex, causing the mutex to never be released.
------------------------------------------------------------------------
r2231 | const_k | 2007-02-18 00:29:33 +0600 (Sun, 18 Feb 2007) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README-bin.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

Version strings changed for version 1.3.8.9.

------------------------------------------------------------------------
r2210 | const_k | 2006-12-22 17:54:43 +0600 (Fri, 22 Dec 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.cpp

Better way of simulating Ctrl+Alt+Del. Now we try to send the hotkey to just one window instead of broadcasting it to all windows of the desktop. Not 100% sure, but this may solve the bug #887617.
------------------------------------------------------------------------
r2196 | const_k | 2006-12-08 13:36:23 +0600 (Fri, 08 Dec 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/RfbProto.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.jar

Updated the Java viewer.

------------------------------------------------------------------------
r2192 | const_k | 2006-12-08 11:55:35 +0600 (Fri, 08 Dec 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp

Always expect the "security result" message in the protocol version 3.8, even after an empty list of authentication capabilities.
------------------------------------------------------------------------
r2190 | const_k | 2006-12-08 10:35:50 +0600 (Fri, 08 Dec 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

Always send the "security result" message in the protocol version 3.8, even after an empty list of authentication capabilities.
------------------------------------------------------------------------
r2186 | const_k | 2006-12-05 16:53:04 +0600 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/Flasher.cpp
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/Flasher.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCviewerApp32.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCviewerApp32.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/rfb.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.dsp

Removed "flasher" - a feature of the listening viewer which flashed the screen on connections to port 5400. I think it was not ever used by anybody.
------------------------------------------------------------------------
r2185 | const_k | 2006-12-05 16:28:42 +0600 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/ParseHost.c
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/ParseHost.h

Made host:port parsing maximally compatible with VNC4. Now negative "display numbers" will be interpreted as offsets, not ports.
------------------------------------------------------------------------
r2184 | const_k | 2006-12-05 16:18:14 +0600 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.cpp

Interpreting the number in host names like somehost:5900 as actual port number if it is NOT in the range 0..99.
------------------------------------------------------------------------
r2183 | const_k | 2006-12-05 15:35:45 +0600 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/ParseHost.c
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/ParseHost.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncConnDialog.cpp

Interpreting the number in host names like somehost:5500 as actual port number if it is NOT in the range 0..99. This affects host names entered in the "Add New Client" dialog, and ones specified with the -connect command-line option of WinVNC. Also, some code duplication has been eliminated.
------------------------------------------------------------------------
r2172 | const_k | 2006-12-04 16:19:14 +0600 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp

Fixed a problem with restoring wallpaper on closing the server.
------------------------------------------------------------------------
r2171 | const_k | 2006-12-04 16:09:19 +0600 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp

When WinVNC is run as system service, the tray icon tip now shows "TighTVNC Service" instead of "TightVNC Server".
------------------------------------------------------------------------
r2170 | const_k | 2006-12-04 15:28:48 +0600 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.cpp

Bugfix for the bug #1109102: attempt to restart the machine remotely via TightVNC led to disconnect if there was some non-saved data, and further connections were rejected.
------------------------------------------------------------------------
r2169 | const_k | 2006-12-04 11:28:13 +0600 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

Confusing comment removed.
------------------------------------------------------------------------
r2164 | const_k | 2006-12-03 16:56:03 +0600 (Sun, 03 Dec 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp

The viewer terminated silently when server dropped connection right after accepting it. Now we report such errors.
------------------------------------------------------------------------
r2162 | const_k | 2006-11-30 20:12:15 +0600 (Thu, 30 Nov 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README-bin.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

Version numbers changed for version 1.3.8.5.

------------------------------------------------------------------------
r2161 | const_k | 2006-11-30 17:58:30 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.h

Showing the tray icon with red border when incoming connections are not possible for any reason (not configured to accept connections, new clients disabled, no valid passwords set).
------------------------------------------------------------------------
r2160 | const_k | 2006-11-30 17:38:55 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp

Checking for a valid user name when showing the tray icon. This forces the user run Service Helper which has to be run anyway after starting the service.
------------------------------------------------------------------------
r2159 | const_k | 2006-11-30 17:29:53 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp

If no valid passwords set, report that fact in the tray icon tip. If new clients are temporarily disabled, append "(new clients disabled)" instead of "(Not listening)" to the tip string.
------------------------------------------------------------------------
r2158 | const_k | 2006-11-30 16:41:09 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCviewerApp32.h

Removed unused function prototype.
------------------------------------------------------------------------
r2157 | const_k | 2006-11-30 16:34:18 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

Invalid or missing passwords should not affect reverse connections.
------------------------------------------------------------------------
r2156 | const_k | 2006-11-30 16:27:02 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp

If there are no valid passwords set, do not show the Properties dialog repeatedly, show it just once. Also, do not close the server on pressing Cancel if there are no valid passwords. Not setting valid passwords makes authentication impossible, so operating with invalid passwords is not any real security risk.
------------------------------------------------------------------------
r2155 | const_k | 2006-11-30 15:27:15 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp

If incoming connections are disabled, do not show the Properties dialog on startup, and do not warn about passwords not set.
------------------------------------------------------------------------
r2154 | const_k | 2006-11-30 13:57:36 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncConnDialog.cpp

Change in a comment.
------------------------------------------------------------------------
r2153 | const_k | 2006-11-30 13:56:35 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h

Changes in variable names only.
------------------------------------------------------------------------
r2152 | const_k | 2006-11-30 13:33:50 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h

Hopefully fixed various problems with password handling. Checking for missing/empty passwords is now performed by the vncServer class. That removes duplication and makes the authentication code much cleaner. One of noticeable effects is that it's enough to enter a view-only password without providing primary password.
------------------------------------------------------------------------
r2151 | const_k | 2006-11-30 10:07:32 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp

Wrong message was shown when there was no default password set. This reverts an erroneous change introduced in rev.1196.
------------------------------------------------------------------------
r2150 | const_k | 2006-11-30 08:27:56 +0600 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp

Fixed a problem with not respecting default passwords if user passwords are not set.
------------------------------------------------------------------------
r2147 | const_k | 2006-11-29 12:21:10 +0600 (Wed, 29 Nov 2006) | 1 line
Changed paths:
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/AuthDialog.cpp
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/AuthDialog.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/LoginAuthDialog.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/LoginAuthDialog.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.dsp

Authentication dialog now always includes VNC host name and user name (disabled for standard VNC authentication).
------------------------------------------------------------------------
r2146 | const_k | 2006-11-29 11:15:47 +0600 (Wed, 29 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp

Documented the interface to authentication functions.
------------------------------------------------------------------------
r2145 | const_k | 2006-11-29 11:01:46 +0600 (Wed, 29 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.h

Support for RFB protocol version 3.8 in Win32 viewer.
------------------------------------------------------------------------
r2138 | const_k | 2006-11-27 10:46:33 +0600 (Mon, 27 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/AuthPanel.class
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/AuthUnixLoginPanel.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/OptionsFrame.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/RfbProto.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncCanvas.class
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncCanvas2.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.jar
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncHTTPConnect.cpp

Built-in Java viewer in WinVNC updated to current version.
------------------------------------------------------------------------
r2137 | const_k | 2006-11-27 10:23:52 +0600 (Mon, 27 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp

Fixed compilation errors caused by recent changes in rfb/rfbproto.h.
------------------------------------------------------------------------
r2136 | const_k | 2006-11-27 10:21:06 +0600 (Mon, 27 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

Finished support for RFB protocol version 3.8.
------------------------------------------------------------------------
r2135 | const_k | 2006-11-27 10:11:22 +0600 (Mon, 27 Nov 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/rfb/rfbproto.h

Unified security result codes.
------------------------------------------------------------------------
r2106 | const_k | 2006-09-25 12:13:40 +0700 (Mon, 25 Sep 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/rfb/rfbproto.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

Preparing the code for upcoming support of RFB protocol version 3.8. No functionality changes yet.
------------------------------------------------------------------------
r2105 | const_k | 2006-09-25 11:22:05 +0700 (Mon, 25 Sep 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc

Ignoring HtmlHelp library and header files.
------------------------------------------------------------------------
r2100 | const_k | 2006-09-22 09:13:42 +0700 (Fri, 22 Sep 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.h

Parsing of new -via command-line option of vncviewer, without real support yet.
------------------------------------------------------------------------
r2091 | const_k | 2006-09-13 12:29:11 +0700 (Wed, 13 Sep 2006) | 1 line
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/rfb/rfbproto.h

Added constants for ZRLE encoding.
------------------------------------------------------------------------
r2089 | const_k | 2006-08-16 11:13:28 +0700 (Wed, 16 Aug 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss

WhatsNew-devel document is not used any more.

------------------------------------------------------------------------
r2087 | const_k | 2006-08-15 20:37:18 +0700 (Tue, 15 Aug 2006) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt

Building information had to be updated to reflect including libraries in
the source distribution.

------------------------------------------------------------------------
r2084 | const_k | 2006-08-15 10:50:11 +0700 (Tue, 15 Aug 2006) | 5 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.h

In certain cases we do not want to remember or restore current tab selection
in the Properties dialog. In particular, tab selection is not restored or
saved when editing the default properties. Also, tab selection is reset when
connecting or disconnecting clients.

------------------------------------------------------------------------
r2083 | const_k | 2006-08-14 16:20:30 +0700 (Mon, 14 Aug 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

Improved labels for tray menu commands.

------------------------------------------------------------------------
r2078 | const_k | 2006-08-10 17:03:37 +0700 (Thu, 10 Aug 2006) | 4 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/InputHandlingControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/InputHandlingControls.h

Fixed a minor issue with keyboard focus initially set to "Inactivity timeout"
control, in the Properties dialog, Server tab. Normally, keyboard focus
should be set to the Password control instead.

------------------------------------------------------------------------
r2077 | const_k | 2006-08-10 16:35:28 +0700 (Thu, 10 Aug 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README-bin.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

Version strings changed, version 1.3.8.

------------------------------------------------------------------------
r2076 | const_k | 2006-08-10 15:27:56 +0700 (Thu, 10 Aug 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc

Copyright sign was missing in version info.

------------------------------------------------------------------------
r2075 | const_k | 2006-08-10 15:07:12 +0700 (Thu, 10 Aug 2006) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/InstInfo.rtf
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README-bin.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

Preparing for stable version numbering - replaced 1.3dev7 with 1.3.7,
removed "unstable" labels etc.

------------------------------------------------------------------------
r2074 | const_k | 2006-08-05 13:19:00 +0700 (Sat, 05 Aug 2006) | 4 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp

Disabling mirror driver support under NT4 completely. Driver support was
broken under NT4, it detected the driver and "used" it even if it was not
installed. Thus, updates were not detected properly.

------------------------------------------------------------------------
r2073 | const_k | 2006-08-05 12:12:24 +0700 (Sat, 05 Aug 2006) | 4 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.h

Reverted changes to vncClient::m_inputblocked incremental semantics
introduced in a previously applied patch from Lev Kazarkin of Demoforge, LLC.
This should fix LocalInputsPriority feature that was broken by that patch.

------------------------------------------------------------------------
r2072 | const_k | 2006-08-02 12:51:20 +0700 (Wed, 02 Aug 2006) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.h

WinVNC usage help did not include information about the argument of the
-sharearea option.

------------------------------------------------------------------------
r2071 | const_k | 2006-08-02 12:36:48 +0700 (Wed, 02 Aug 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.h

New -sharearea command-line option of WInVNC is now fully functional.

------------------------------------------------------------------------
r2070 | const_k | 2006-08-01 23:27:36 +0700 (Tue, 01 Aug 2006) | 6 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.h

New -shareall and -shareprimary command-line options have been implemented.
They work similar to -sharewindow but do not require arguments. These options
do not start WinVNC - they control already running WinVNC instance instead.
These modification also introduce the -sharearea option, but it's not fully
functional at the moment.

------------------------------------------------------------------------
r2069 | const_k | 2006-08-01 22:25:20 +0700 (Tue, 01 Aug 2006) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/SharedDesktopArea.cpp

Restoring correct state of the area selection window on cancelling the
Properties dialog.

------------------------------------------------------------------------
r2068 | const_k | 2006-08-01 20:09:50 +0700 (Tue, 01 Aug 2006) | 6 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/SharedDesktopArea.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/SharedDesktopArea.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.h

Improved and simplified the SharedDesktopArea class, removed related stuff
from the Properties class. Now the changes are applied directly to the server
object, and only on pressing Apply or Ok. Previously, the changes in the
Display tab of the Properties dialog were applied immediately and remained
active even on pressing Cancel. Obviously, that was incorrect.

------------------------------------------------------------------------
r2067 | const_k | 2006-07-30 16:27:06 +0700 (Sun, 30 Jul 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/SharedDesktopArea.cpp

Changes only in code formatting and comments.

------------------------------------------------------------------------
r2065 | const_k | 2006-06-15 20:57:19 +0700 (Thu, 15 Jun 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/AuthPanel.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/OptionsFrame.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/RfbProto.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncCanvas.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.jar
   M /orig/trunk/vnc_unixsrc/classes/AuthPanel.class
   M /orig/trunk/vnc_unixsrc/classes/OptionsFrame.class
   M /orig/trunk/vnc_unixsrc/classes/RfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar

Built-in Java viewer updated to the latest version.

------------------------------------------------------------------------
r2062 | const_k | 2006-06-15 11:49:13 +0700 (Thu, 15 Jun 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h

GUI improvements in the Administration tab of the Properties dialog.

------------------------------------------------------------------------
r2061 | const_k | 2006-06-15 11:04:08 +0700 (Thu, 15 Jun 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp

The "Sharing" tab of the Properties dialog renamed to "Desktop".

------------------------------------------------------------------------
r2060 | const_k | 2006-06-15 10:57:32 +0700 (Thu, 15 Jun 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h

GUI improvements in the Query tab of the Properties dialog.

------------------------------------------------------------------------
r2059 | const_k | 2006-06-15 10:34:45 +0700 (Thu, 15 Jun 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h

GUI improvements in the Hooks tab of the Properties dialog.

------------------------------------------------------------------------
r2058 | const_k | 2006-06-15 09:55:46 +0700 (Thu, 15 Jun 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VideoDriver.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VideoDriver.h

Updated heading comment and copyright strings.

------------------------------------------------------------------------
r2057 | const_k | 2006-06-14 23:42:49 +0700 (Wed, 14 Jun 2006) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.sln
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg/libjpeg.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread/omnithread.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib/zlib.vcproj

From Lev Kazarkin (DemoForge LLC):
- fixed WinVNC *.vcproj files for MSVC 7.1.

------------------------------------------------------------------------
r2056 | const_k | 2006-06-14 23:28:38 +0700 (Wed, 14 Jun 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/libjpeg/libjpeg.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/omnithread.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.dsw
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.sln
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/zlib/zlib.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.dsw
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.sln
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/libjpeg/libjpeg.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/omnithread/omnithread.vcproj
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/zlib/zlib.vcproj

Fixed end-of-line characters.

------------------------------------------------------------------------
r2055 | const_k | 2006-06-14 22:43:59 +0700 (Wed, 14 Jun 2006) | 6 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/SharedDesktopArea.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VideoDriver.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VideoDriver.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncEncoder.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h

Another set of changes by Lev Kazarkin (DemoForge LLC):
- fixed bug with lost notifications from Mirage driver;
- fixed bugs with CopyRect processing;
- added support for CopyRect notifications from Mirage driver (more accurate and more powerful);
- added support for NT4 version of Mirage driver.

------------------------------------------------------------------------
r2054 | const_k | 2006-06-14 21:32:21 +0700 (Wed, 14 Jun 2006) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h

More accurate password handling - now the server code tries to distinguish
between "empty" and "unset" passwords better.

------------------------------------------------------------------------
r2052 | const_k | 2006-04-23 18:42:43 +0700 (Sun, 23 Apr 2006) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/rfb/rfbproto.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnectionFile.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h

Removed the code for "UnixLogin" and "External" authentication. These two
were never officially supported in the mainstream version anyway.

------------------------------------------------------------------------
r2051 | const_k | 2006-04-23 13:46:22 +0700 (Sun, 23 Apr 2006) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.h

Now we remember and restore previously selected tab of the Properties dialog.
Also, keyboard focus handling in the same dialog is slightly improved.

------------------------------------------------------------------------
r2050 | const_k | 2006-04-23 11:57:47 +0700 (Sun, 23 Apr 2006) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

Improved layout of the "Sharing" tab of the Properties dialog. Added a context
help message for the "Share primary display" option.

------------------------------------------------------------------------
r2049 | const_k | 2006-04-23 10:31:27 +0700 (Sun, 23 Apr 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h

Made control IDs unique, to resolve problems with context help.

------------------------------------------------------------------------
r2048 | const_k | 2006-04-22 21:45:49 +0700 (Sat, 22 Apr 2006) | 7 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/MatchWindow.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/PollControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/SharedDesktopArea.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/SharedDesktopArea.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VSocket.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VideoDriver.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VideoDriver.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncBuffer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncBuffer.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncEncodeZlibHex.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncEncoder.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncKeymap.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncRegion.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncRegion.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncService.cpp

Applied a set of changes by Lev Kazarkin (DemoForge LLC):
- added support for DfMirage driver direct screen access mode;
- added support for multiple monitors;
- added workaround for Windows bug with "wrong order of monitors";
- extended GUI for screen sharing area;
- fixed some minor bugs.

------------------------------------------------------------------------
r2046 | const_k | 2006-04-20 12:04:34 +0700 (Thu, 20 Apr 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt

Typos fixed.

------------------------------------------------------------------------
r2045 | const_k | 2006-04-10 21:09:12 +0700 (Mon, 10 Apr 2006) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp

Fixed a problem with not setting proper window size/position revealed while
testing under Win95.

------------------------------------------------------------------------
r2044 | const_k | 2006-04-10 20:19:27 +0700 (Mon, 10 Apr 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnectionFullScreen.cpp

Better values for scrolling parameters in the full-screen mode.

------------------------------------------------------------------------
r2043 | const_k | 2006-04-10 19:35:35 +0700 (Mon, 10 Apr 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.cpp

Fixed a problem with not enabling JPEG compression by default.

------------------------------------------------------------------------
r2041 | const_k | 2006-04-05 10:18:55 +0700 (Wed, 05 Apr 2006) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h

Finally, the problem #1104846 with wallpaper removal has been solved,
hopefully without side effects this time.

------------------------------------------------------------------------
r2027 | const_k | 2005-08-06 14:36:06 +0700 (Sat, 06 Aug 2005) | 6 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WallpaperUtils.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WallpaperUtils.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.h

Fixed major problem with disconnecting on screen locking, user logoff/logon,
in the service mode. Also, this fixes the problem with restoring wallpaper.
The bugs fixed are those reported in #1250353, #1243405, #1242752, #1242689,
#1233397 and maybe others. From the other side, the fix reverts the behavior
described in #1104846.

------------------------------------------------------------------------
r2024 | const_k | 2005-07-06 01:04:00 +0700 (Wed, 06 Jul 2005) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/InstInfo.rtf

Changed year in the copyright statement.

------------------------------------------------------------------------
r2023 | const_k | 2005-07-05 19:57:55 +0700 (Tue, 05 Jul 2005) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README-bin.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

Version strings changed, version 1.3dev7.

------------------------------------------------------------------------
r2016 | const_k | 2005-07-03 14:09:42 +0700 (Sun, 03 Jul 2005) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/OptionsFrame.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncCanvas.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.jar

Updated built-in Java viewer to its latest version.

------------------------------------------------------------------------
r2005 | const_k | 2005-02-17 23:49:18 +0600 (Thu, 17 Feb 2005) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/InstInfo.rtf

From the head branch - "A typo fixed."

------------------------------------------------------------------------
r2002 | const_k | 2005-02-10 14:08:10 +0600 (Thu, 10 Feb 2005) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHelp.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h

Fixed minor issues in the Properties dialog - added context help for controls
that did not have it, removed unused resource constants etc.

------------------------------------------------------------------------
r2001 | const_k | 2005-02-10 12:57:56 +0600 (Thu, 10 Feb 2005) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc

Added context help messages in the file transfers dialog.

------------------------------------------------------------------------
r2000 | const_k | 2005-02-10 12:32:00 +0600 (Thu, 10 Feb 2005) | 4 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc

Fixed the file transfer dialog - made path edit controls read-only, disabled
made multiple selection in file lists, fixed group and tab stop attributes
for controls, changed the caption of the Browse dialog.

------------------------------------------------------------------------
r1998 | const_k | 2005-02-09 22:37:35 +0600 (Wed, 09 Feb 2005) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.h

Fixed the problem with carriage return/linefeed conversion for clipboard
data, bug #875016.

------------------------------------------------------------------------
r1995 | const_k | 2005-02-09 19:30:23 +0600 (Wed, 09 Feb 2005) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

Disallowing clipboard transfers when "Block remote input events" is set. This
fixes bug #1033570.

------------------------------------------------------------------------
r1993 | const_k | 2005-02-09 18:46:28 +0600 (Wed, 09 Feb 2005) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.h

Removed the code for "desktop optimizations" that was rather harmful than
useful. This should fix the bugs #987546 and #1082899.

------------------------------------------------------------------------
r1991 | const_k | 2005-02-09 17:37:23 +0600 (Wed, 09 Feb 2005) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WallpaperUtils.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WallpaperUtils.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.h

Fixed a problem with wallpaper and ActiveDesktop removal, bug #1104846.

------------------------------------------------------------------------
r1989 | const_k | 2005-02-02 20:34:17 +0600 (Wed, 02 Feb 2005) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHelp.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHelp.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp

From the head branch - "Simplified interface to HtmlHelp. This should fix
the bug #944429."

------------------------------------------------------------------------
r1979 | const_k | 2004-12-24 23:59:07 +0600 (Fri, 24 Dec 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp

From the head branch - "Fixed toolbar background color and toolbar position."

------------------------------------------------------------------------
r1977 | const_k | 2004-12-18 16:27:45 +0600 (Sat, 18 Dec 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

From the head branch - "Fixed the issue with port number edit boxes that were
labeled incorrectly in the Properties dialog."

------------------------------------------------------------------------
r1967 | const_k | 2004-11-18 21:33:21 +0600 (Thu, 18 Nov 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/BUILDING.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README-bin.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/README.txt
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/TightVNC.iss
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

Version strings changed, version 1.3dev6.

------------------------------------------------------------------------
r1966 | const_k | 2004-11-18 21:00:47 +0600 (Thu, 18 Nov 2004) | 4 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCviewerApp32.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCviewerApp32.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/vncviewer.cpp

Enabled keyboard navigation in the file transfer dialog. Also, now it's
possible to close the dialog with the Escape key. Finally, the tab order was
slightly changed in the same dialog.

------------------------------------------------------------------------
r1965 | const_k | 2004-11-18 18:54:56 +0600 (Thu, 18 Nov 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.cpp

Improved texts for messages in file transfer in the viewer, and slightly
improved error analysis.

------------------------------------------------------------------------
r1964 | const_k | 2004-11-18 16:12:36 +0600 (Thu, 18 Nov 2004) | 4 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

Added processing for rfbFileUploadCancel and rfbFileDownloadFailed messages.
Added checking for CreateFile() return value, in both file upload and
download.

------------------------------------------------------------------------
r1963 | const_k | 2004-11-18 13:13:29 +0600 (Thu, 18 Nov 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.cpp

Fixes in code fofmatting only.

------------------------------------------------------------------------
r1959 | const_k | 2004-11-17 11:58:59 +0600 (Wed, 17 Nov 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

Improved texts for messages in file transfer, on the server side.

------------------------------------------------------------------------
r1957 | const_k | 2004-11-17 01:28:26 +0600 (Wed, 17 Nov 2004) | 5 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.cpp

Now the viewer checks server's capabilities and does not ever use
non-standard protocol messages not supported by the server. This change
affects file transfers only, as other features do not use non-standard
protocol messages.

------------------------------------------------------------------------
r1956 | const_k | 2004-11-17 00:00:47 +0600 (Wed, 17 Nov 2004) | 4 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnectionFullScreen.cpp

From the head branch - "Changed text message shown on switching to the
full-screen mode. Now the message list all the basic methods to return from
full screen."

------------------------------------------------------------------------
r1955 | const_k | 2004-11-16 23:55:29 +0600 (Tue, 16 Nov 2004) | 5 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

Modified patch from the head branch - "Changed the way the list of drives
is read, in both server and viewer. New code does not filter out any disk
types. This should fix the file transfers bug described in #865272 and
#1042557."

------------------------------------------------------------------------
r1954 | const_k | 2004-11-16 23:38:17 +0600 (Tue, 16 Nov 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.h

From the head branch - "Added locking to prevent sending partial framebuffer
updates mixed with other messages."

------------------------------------------------------------------------
r1953 | const_k | 2004-11-16 23:09:07 +0600 (Tue, 16 Nov 2004) | 10 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/VNCHooks.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp

From the head branch:

- updated vnchooks to allow for separate target window handles for local
keyboard and mouse event hooks

- updated vnchooks api so setting priority hooks needs window handle to be
passed in

- updated version of vnchooks in vnchooks.rc to indicate api change

------------------------------------------------------------------------
r1952 | const_k | 2004-11-16 22:45:33 +0600 (Tue, 16 Nov 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

From the head branch - "applied jeffg's patch to vncClient which fixes the
one pixel mouse movement".

------------------------------------------------------------------------
r1951 | const_k | 2004-11-16 22:36:14 +0600 (Tue, 16 Nov 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/AdministrationControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/AdministrationControls.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/IncomingConnectionsControls.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/InputHandlingControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/InputHandlingControls.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/PollControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/PollControls.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/QuerySettingsControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/QuerySettingsControls.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/SharedDesktopArea.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/SharedDesktopArea.h

From the head branch - added heading comments in files appeared recently.

------------------------------------------------------------------------
r1947 | const_k | 2004-11-16 19:59:11 +0600 (Tue, 16 Nov 2004) | 4 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp

From the head branch - "Fixed a bug with setting incorrect default values for
properties if the user has no write access to the HKEY_LOCAL_MACHINE registry
hive".

------------------------------------------------------------------------
r1908 | const_k | 2004-10-11 12:32:22 +0700 (Mon, 11 Oct 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncCanvas.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.jar

New version of the Java viewer.

------------------------------------------------------------------------
r1868 | const_k | 2004-08-31 20:20:12 +0700 (Tue, 31 Aug 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/PollControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h

From the head branch - "Implemented an indicator of the mirror driver status."

------------------------------------------------------------------------
r1867 | const_k | 2004-08-31 20:17:50 +0700 (Tue, 31 Aug 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

From the head branch - "Layout changes in the Hooks tab of the Properties
dialog."

------------------------------------------------------------------------
r1866 | const_k | 2004-08-31 20:04:11 +0700 (Tue, 31 Aug 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

From the head branch - "Minor layout changes in the Administration tab of the
Properties dialog."

------------------------------------------------------------------------
r1865 | const_k | 2004-08-31 19:56:40 +0700 (Tue, 31 Aug 2004) | 4 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h

Merged redesigned and bugfixed version of the BlankScreen feature from the
head branch. Also from the head branch - "Moved m_polling_flag from vncServer
to vncDesktop, and chose a better name for one variable in vncServer."

------------------------------------------------------------------------
r1864 | const_k | 2004-08-31 19:40:28 +0700 (Tue, 31 Aug 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp

From the head branch - "Minor memory leak has been fixed."

------------------------------------------------------------------------
r1851 | const_k | 2004-08-24 17:44:27 +0700 (Tue, 24 Aug 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.h

From the head branch - "Reduced the number of tabs in the Properties dialog."

------------------------------------------------------------------------
r1841 | const_k | 2004-08-22 15:58:12 +0700 (Sun, 22 Aug 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHelp.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc

Context help for the Properties dialog controls, merged from the head branch.

------------------------------------------------------------------------
r1840 | const_k | 2004-08-22 15:54:15 +0700 (Sun, 22 Aug 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp

From the head branch - Changed "WinVNC" to "TightVNC Server" in the caption
of the Properties dialog.

------------------------------------------------------------------------
r1839 | const_k | 2004-08-22 15:40:52 +0700 (Sun, 22 Aug 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h

Ported the "blank screen" feature from the head branch.

------------------------------------------------------------------------
r1808 | const_k | 2004-08-07 19:30:16 +0700 (Sat, 07 Aug 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/vncviewer.rc

Ported the auto scaling mode from the head branch.

------------------------------------------------------------------------
r1805 | const_k | 2004-08-01 14:25:05 +0700 (Sun, 01 Aug 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h

From the head branch - In the Properties dialog, added new option "Blank
screen on client connections" (non-functional yet).

------------------------------------------------------------------------
r1803 | const_k | 2004-07-31 17:45:59 +0700 (Sat, 31 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h

From the head branch - "Fixed a problems with previous commit, and added
a missing label in the Query Settings tab in Properties."

------------------------------------------------------------------------
r1801 | const_k | 2004-07-31 16:12:39 +0700 (Sat, 31 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncDesktop.cpp

From the head branch - Implemented support for the option "Don't use mirror
display driver even if available".

------------------------------------------------------------------------
r1798 | const_k | 2004-07-30 20:18:47 +0700 (Fri, 30 Jul 2004) | 4 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/AdministrationControls.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/resource.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp

From the head branch - Removed unused checkbox "Enable built-in Java viewer",
implemented new checkbox "Enable applet params in URLs" corresponding to
EnableURLParams registry setting.

------------------------------------------------------------------------
r1795 | const_k | 2004-07-29 17:12:51 +0700 (Thu, 29 Jul 2004) | 4 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/SharedDesktopArea.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/SharedDesktopArea.h

From the head branch - "Added MatchWindow as an optional member pointer.
Reduced duplicate code via changes to Init(). Normalized FullScreen(),
SharedWindow() and SharedScreen(). A modified patch from HorizonLive."

------------------------------------------------------------------------
r1793 | const_k | 2004-07-28 17:34:46 +0700 (Wed, 28 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncProperties.h

From the head branch - "Removed HORIZONLIVE ifdefs, removed
m_pref_LiveShareKey. A patch from HorizonLive."

------------------------------------------------------------------------
r1791 | const_k | 2004-07-28 16:36:42 +0700 (Wed, 28 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncClient.cpp

From the head branch - "Removed HORIZONLIVE ifdefs in favor of server settings, a patch
from HorizonLive.

------------------------------------------------------------------------
r1789 | const_k | 2004-07-28 16:30:33 +0700 (Wed, 28 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncServer.h

From the head branch - "Moved GetLiveShareKey(), SetLiveShareKey() to horizonProperties,
added initialization for m_enable_file_transfers. A patch from HorizonLive."

------------------------------------------------------------------------
r1787 | const_k | 2004-07-28 16:14:29 +0700 (Wed, 28 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/stdhdrs.cpp

From the head branch - "Changed HORIZONLIVE Log() so that a file is not
created in C:\, a patch from HorizonLive."

------------------------------------------------------------------------
r1785 | const_k | 2004-07-28 16:05:43 +0700 (Wed, 28 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.h

From the head branch - "Removed HORIZONLIVE ifdefs in favor of separate main
function, a patch from HorizonLive."

------------------------------------------------------------------------
r1783 | const_k | 2004-07-28 15:45:40 +0700 (Wed, 28 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WallpaperUtils.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WallpaperUtils.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/vncMenu.h

From the head branch - "Moved wallpaper functions to new WallpaperUtils
files, removed HORIZONLIVE ifdefs. A patch from HorizonLive."

------------------------------------------------------------------------
r1782 | (no author) | 2004-07-28 15:45:40 +0700 (Wed, 28 Jul 2004) | 2 lines
Changed paths:
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WallpaperUtils.cpp (from /orig/trunk/vnc_winsrc/winvnc/WallpaperUtils.cpp:1780)
   A /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WallpaperUtils.h (from /orig/trunk/vnc_winsrc/winvnc/WallpaperUtils.h:1780)

This commit was manufactured by cvs2svn to create branch
'BRANCH_1_3_STABLE'.
------------------------------------------------------------------------
r1781 | const_k | 2004-07-28 15:42:14 +0700 (Wed, 28 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/WinVNC.h

From the head branch - "Solving possible problems with multiple inclusions of
WinVNC.h, a patch from HorizonLive."

------------------------------------------------------------------------
r1779 | const_k | 2004-07-28 14:20:22 +0700 (Wed, 28 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/Log.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/Log.h

From the head branch - "Made SetFile() accept const char, a patch from
HorizonLive."

------------------------------------------------------------------------
r1777 | const_k | 2004-07-28 12:44:05 +0700 (Wed, 28 Jul 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VSocket.cpp
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VSocket.h
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VTypes.h

From the head branch - "Applied fixes to type declarations from HorizonLive."

------------------------------------------------------------------------
r1772 | const_k | 2004-07-22 14:37:51 +0700 (Thu, 22 Jul 2004) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ClientConnection.cpp

From the head branch - "Minor cleanups in the viewer's system menu labels."

------------------------------------------------------------------------
r1771 | const_k | 2004-07-22 14:35:32 +0700 (Thu, 22 Jul 2004) | 2 lines
Changed paths:
   D /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/BUILDING.txt

From the head branch - "Removed an outdated file."

------------------------------------------------------------------------
r1770 | const_k | 2004-07-22 14:33:49 +0700 (Thu, 22 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/VNCOptions.cpp

From the head branch - "Fixed the bug #975886 - the setting "Allow JPEG
Compression" was not saved in .vnc files."

------------------------------------------------------------------------
r1769 | const_k | 2004-07-22 14:28:47 +0700 (Thu, 22 Jul 2004) | 3 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/QuerySettingsControls.cpp

From the head branch - "Fixed the bug #965499 - Query timeout was never
updated."

------------------------------------------------------------------------
r1768 | (no author) | 2004-07-22 14:28:47 +0700 (Thu, 22 Jul 2004) | 2 lines
Changed paths:
   A /orig/branches/BRANCH_1_3_STABLE (from /orig/trunk:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_javasrc/DesCipher.java (from /orig/branches/tridia/vnc_javasrc/DesCipher.java:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_javasrc/LICENCE.TXT (from /orig/branches/tridia/vnc_javasrc/LICENCE.TXT:1744)
   D /orig/branches/BRANCH_1_3_STABLE/vnc_javasrc/OptionsFrame.java
   D /orig/branches/BRANCH_1_3_STABLE/vnc_javasrc/README
   D /orig/branches/BRANCH_1_3_STABLE/vnc_javasrc/VncCanvas.java
   D /orig/branches/BRANCH_1_3_STABLE/vnc_javasrc/index.html
   D /orig/branches/BRANCH_1_3_STABLE/vnc_unixsrc
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/LICENCE.txt (from /orig/branches/tridia-vnc/vnc_winsrc/vncviewer/LICENCE.txt:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/ToDo.txt (from /orig/branches/tridia-vnc/vnc_winsrc/vncviewer/ToDo.txt:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/d3des.c (from /orig/branches/tridia-vnc/vnc_winsrc/vncviewer/d3des.c:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/d3des.h (from /orig/branches/tridia-vnc/vnc_winsrc/vncviewer/d3des.h:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/fred (from /orig/branches/tridia-vnc/vnc_winsrc/vncviewer/fred:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/omnithread/omnithread.h (from /orig/branches/tridia-vnc/vnc_winsrc/vncviewer/omnithread/omnithread.h:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/vncviewer/res/toolbar1.bmp (from /orig/branches/tridia-vnc/vnc_winsrc/vncviewer/res/toolbar1.bmp:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/BUILDING.txt (from /orig/branches/tridia-vnc/vnc_winsrc/winvnc/BUILDING.txt:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/LICENCE.txt (from /orig/branches/tridia-vnc/vnc_winsrc/winvnc/LICENCE.txt:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks/resource.h (from /orig/branches/tridia-vnc/vnc_winsrc/winvnc/VNCHooks/resource.h:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/VNCHooks_Settings.reg (from /orig/branches/tridia-vnc/vnc_winsrc/winvnc/VNCHooks_Settings.reg:1744)
   R /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/d3des.h (from /orig/branches/tridia-vnc/vnc_winsrc/winvnc/d3des.h:1744)

This commit was manufactured by cvs2svn to create branch
'BRANCH_1_3_STABLE'.
------------------------------------------------------------------------
r1744 | const_k | 2004-05-30 23:22:06 +0700 (Sun, 30 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

The setting "Don't use mirror driver even if available" has been disabled,
because it's not handled yet anyway.

------------------------------------------------------------------------
r1739 | const_k | 2004-05-27 14:03:17 +0700 (Thu, 27 May 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/BUILDING.txt
   M /orig/trunk/vnc_winsrc/README-bin.txt
   M /orig/trunk/vnc_winsrc/README.txt
   M /orig/trunk/vnc_winsrc/TightVNC.iss
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

Version strings changed, version 1.3dev5.

------------------------------------------------------------------------
r1737 | const_k | 2004-05-27 13:37:42 +0700 (Thu, 27 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/BUILDING-bcc32.txt

Changes in the README files reflecting the fact that Borland C++ compilation
is not supported any more.

------------------------------------------------------------------------
r1736 | const_k | 2004-05-27 13:32:13 +0700 (Thu, 27 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/BUILDING.txt
   M /orig/trunk/vnc_winsrc/README.txt

Changes in the README files reflecting the fact that Borland C++ compilation
is not supported any more.

------------------------------------------------------------------------
r1735 | const_k | 2004-05-27 12:54:24 +0700 (Thu, 27 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h

Fixed a problem with mouse pointer jumping, especially on slow connections,
bug #696135.

------------------------------------------------------------------------
r1734 | const_k | 2004-05-26 11:59:30 +0700 (Wed, 26 May 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h

Tiny code cleanups only.

------------------------------------------------------------------------
r1733 | const_k | 2004-05-25 20:16:17 +0700 (Tue, 25 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.h

The polling mode "on event received only" has been fixed - it did not work
correctly.

------------------------------------------------------------------------
r1732 | const_k | 2004-05-25 19:04:43 +0700 (Tue, 25 May 2004) | 2 lines
Changed paths:
   D /orig/trunk/vnc_winsrc/winvnc/vncDesktopDX.cpp

Unused file removed.

------------------------------------------------------------------------
r1731 | const_k | 2004-05-19 17:22:07 +0700 (Wed, 19 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Fixed a race condition with vncClient::m_cursor_pos_changed variable,
bug #902170.

------------------------------------------------------------------------
r1729 | const_k | 2004-05-13 14:32:42 +0700 (Thu, 13 May 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Tiny code cleanups.

------------------------------------------------------------------------
r1728 | const_k | 2004-05-13 14:29:29 +0700 (Thu, 13 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.h

Fixed a problem with view-only clients that were enabled full control on just
opening the Properties dialog of the server, bug #928961.

------------------------------------------------------------------------
r1727 | const_k | 2004-05-13 13:13:15 +0700 (Thu, 13 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Code formatting changes only. Hopefully, recovered from a disaster with code
indentation.

------------------------------------------------------------------------
r1726 | const_k | 2004-05-04 20:40:39 +0700 (Tue, 04 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

A fix for mouse movement handling. It looks like mouse handling is still
broken/inefficient, so other fixes will follow this one.

------------------------------------------------------------------------
r1725 | oleg_sh | 2004-04-24 02:36:33 +0700 (Sat, 24 Apr 2004) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/PollControls.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.h

The code which supports job of an
"Don't use mirror video driver even if available" control in
the "Update Handling" tab of "Properties" dialog box is added.

------------------------------------------------------------------------
r1724 | oleg_sh | 2004-04-23 21:03:29 +0700 (Fri, 23 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Bug fix for previous bug fix

------------------------------------------------------------------------
r1723 | oleg_sh | 2004-04-23 20:10:14 +0700 (Fri, 23 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Bug fix for previous bug fix.

------------------------------------------------------------------------
r1722 | oleg_sh | 2004-04-23 17:11:50 +0700 (Fri, 23 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Division of space of a desktop and toolbar in a window of vncviewer.

------------------------------------------------------------------------
r1721 | oleg_sh | 2004-04-23 14:32:09 +0700 (Fri, 23 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Moving of dialog boxes of vncviewer in foreground in full screen a mode.

------------------------------------------------------------------------
r1720 | oleg_sh | 2004-04-23 01:39:04 +0700 (Fri, 23 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Hiding horizontal or vertical scrollbar if is possible to not use them.
It is applied when the sizes of a window of vncviewer are calculated.

------------------------------------------------------------------------
r1719 | const_k | 2004-04-21 23:27:01 +0700 (Wed, 21 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp

Applied a bugfix from HorizonLive solving the problem with crashes or
incorrect operation after color depth changes on the server's desktop.

------------------------------------------------------------------------
r1718 | const_k | 2004-04-21 20:46:01 +0700 (Wed, 21 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp

Fixed a bug with wrong initial framebuffer size in the ServerInit message.

------------------------------------------------------------------------
r1717 | oleg_sh | 2004-04-21 18:08:14 +0700 (Wed, 21 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Fixed a bug with updating a window of vncviewer, when atop of him other
window moves .

------------------------------------------------------------------------
r1716 | oleg_sh | 2004-04-16 18:58:28 +0700 (Fri, 16 Apr 2004) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFullScreen.cpp

Changes in positioning and setting of the sizes of a window of vncviewer,
when the scaling factor is changes, and a window  is minimized
or maximized.

------------------------------------------------------------------------
r1715 | const_k | 2004-04-15 01:12:18 +0700 (Thu, 15 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/SharedDesktopArea.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Fixed a bug - when no window to share was selected, AppShare showed a warning
but then still tried to initiate connection.

------------------------------------------------------------------------
r1714 | const_k | 2004-04-15 00:37:01 +0700 (Thu, 15 Apr 2004) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Minor fixes and cleanups in processing of the -connect command-line option.
Also, now the same formats are used in WinVNC and AppShare to specify display
or port numbers for reverse connections: "host", "host:display" and
"host::port".

------------------------------------------------------------------------
r1713 | const_k | 2004-04-14 22:36:29 +0700 (Wed, 14 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/VNCHooks/VNCHooks.cpp

Bugfix for the previous commit.

------------------------------------------------------------------------
r1712 | const_k | 2004-04-14 22:29:42 +0700 (Wed, 14 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/VNCHooks/VNCHooks.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

By default, use hooks DLL in the HorizonLive configuration. But disable
deferred updates by default, to make sure hooks won't break some application.

------------------------------------------------------------------------
r1711 | const_k | 2004-04-14 22:03:58 +0700 (Wed, 14 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Applied a bugfix from HorizonLive - old mouse position was not included in
updates when cursor shape updates were not used.

------------------------------------------------------------------------
r1710 | const_k | 2004-04-14 16:27:12 +0700 (Wed, 14 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Two minor fixes specific to HorizonLive build configuration.

------------------------------------------------------------------------
r1709 | const_k | 2004-04-14 14:49:35 +0700 (Wed, 14 Apr 2004) | 7 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h

Implemented new polling algorithm, similar to that found in x0rfbserver.
New algorithm uses minimum CPU time when there is no changes on the screen,
and detects major changes very quickly, resulting in greatly improved
responsiveness on the client side. The time period specified in the "polling
cycle" parameter now corresponds to 16 polling cycles (each of them polls
1/32 number of scan lines on the screen).

------------------------------------------------------------------------
r1708 | const_k | 2004-04-09 16:14:40 +0700 (Fri, 09 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/KeyMap.cpp

Implemented a special mode for Unix users - when ScrollLock is on, the viewer
will send Meta on pressing Alt keys.

------------------------------------------------------------------------
r1707 | const_k | 2004-04-09 14:46:38 +0700 (Fri, 09 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h

The polling algorithm has been simplified and concentrated in new PollArea
function, to prepare for new polling algorithm implementation.

------------------------------------------------------------------------
r1706 | const_k | 2004-04-08 19:53:09 +0700 (Thu, 08 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc
   M /orig/trunk/vnc_winsrc/winvnc/.cvsignore
   M /orig/trunk/vnc_winsrc/winvnc/Log.cpp
   M /orig/trunk/vnc_winsrc/winvnc/VNCHelp.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/stdhdrs.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncInstHandler.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncInstHandler.h
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Applied a number of changes from HorizonLive. Most of the changes are
specific to HorizonLive build configuration.

------------------------------------------------------------------------
r1705 | const_k | 2004-04-08 18:03:18 +0700 (Thu, 08 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/Log.cpp

One special case for the Debug configuration, to workaround the __LINE__
directive returning file names in lower case for some files.

------------------------------------------------------------------------
r1704 | const_k | 2004-04-08 18:00:42 +0700 (Thu, 08 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/VSocket.cpp
   M /orig/trunk/vnc_winsrc/winvnc/VSocket.h
   M /orig/trunk/vnc_winsrc/winvnc/vncHTTPConnect.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncSockConnect.cpp

Fixed a problem with blocking accept() call causing us to initiate dummy
connections to quit from accept().

------------------------------------------------------------------------
r1703 | const_k | 2004-04-08 17:44:54 +0700 (Thu, 08 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp

Enabling source browsing in the Debug configuration.

------------------------------------------------------------------------
r1702 | const_k | 2004-04-08 14:21:47 +0700 (Thu, 08 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/Log.cpp
   M /orig/trunk/vnc_winsrc/winvnc/Log.h
   M /orig/trunk/vnc_winsrc/winvnc/stdhdrs.h

Logging improvements inspired by a patch from HorizonLive.

------------------------------------------------------------------------
r1701 | const_k | 2004-04-07 23:16:33 +0700 (Wed, 07 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFile.cpp

A fix for the bug #930992. Now the viewer chooses more reasonable file names
for saved sessions.

------------------------------------------------------------------------
r1700 | const_k | 2004-04-07 13:38:58 +0700 (Wed, 07 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h

New checkbox in the Update Hnadling tab in WinVNC Properties: "Don't use
mirror video driver even if available".

------------------------------------------------------------------------
r1699 | oleg_sh | 2004-04-07 04:10:50 +0700 (Wed, 07 Apr 2004) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h

The system of scrolling in a vncviewers window is changed.
Scrollbar controls are removed, instead of it the additional
window with WS_HSCROLL and WS_VSCROLL style is added.

------------------------------------------------------------------------
r1698 | const_k | 2004-04-07 00:55:21 +0700 (Wed, 07 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp

Generating a map file in the Profile configuration.

------------------------------------------------------------------------
r1697 | const_k | 2004-04-07 00:19:48 +0700 (Wed, 07 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncBuffer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.h

Code refactoring, cleanups and bugfixes affecting performance of the message
loop of the desktop object.

------------------------------------------------------------------------
r1696 | const_k | 2004-04-02 10:47:09 +0700 (Fri, 02 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp

Bugfix for the bug #876309 - recovered the RemoveWallpaper setting.

------------------------------------------------------------------------
r1695 | const_k | 2004-04-02 02:12:41 +0700 (Fri, 02 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp

Tiny code cleanup - unused function removed.

------------------------------------------------------------------------
r1694 | const_k | 2004-04-02 01:43:19 +0700 (Fri, 02 Apr 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp

Bugfix for the bug #866919 - recovered the DisableTrayIcon setting.

------------------------------------------------------------------------
r1693 | mrdennis | 2004-04-01 20:46:38 +0700 (Thu, 01 Apr 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.h
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.h
   M /orig/trunk/vnc_winsrc/winvnc/vncService.h

Now its possible cancel download and start new transfer.
Fixed some little bugs.

------------------------------------------------------------------------
r1692 | const_k | 2004-04-01 17:38:18 +0700 (Thu, 01 Apr 2004) | 6 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h

Finished highly-optimized version of the GetChangedRegion function. Now its
functionality is in three functions representing three stages of detecting
framebuffer changes. New version not only works faster (verified using
a profiler), but it also detects changes much more accurately, leaving less
work to encoders.

------------------------------------------------------------------------
r1691 | const_k | 2004-03-30 14:14:04 +0700 (Tue, 30 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h

Code cleanup - two unused function prototypes removed.

------------------------------------------------------------------------
r1690 | oleg_sh | 2004-03-30 00:50:19 +0700 (Tue, 30 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Fixed the bug with positioning scroll bar controls in vncviewers window .

------------------------------------------------------------------------
r1689 | oleg_sh | 2004-03-29 20:40:07 +0700 (Mon, 29 Mar 2004) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h

The method of scrolling which uses styles WS_VSCROLL
and WS_HSCROLL when windows in vncviewer are created
 is changed to a method which uses scroll bar controls.
Also the style of toolbar and color of a window is changed.

------------------------------------------------------------------------
r1688 | oleg_sh | 2004-03-27 18:24:42 +0600 (Sat, 27 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Restriction of the size of a vncviewers window is removed.
Fixed the bugs with positioning child windows in a vncviewers window.

------------------------------------------------------------------------
r1687 | mrdennis | 2004-03-27 12:55:55 +0600 (Sat, 27 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Code improvements. Fixed bug with wrong size of FileUploadData message.

------------------------------------------------------------------------
r1686 | const_k | 2004-03-26 15:36:01 +0600 (Fri, 26 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/VideoDriver.cpp
   M /orig/trunk/vnc_winsrc/winvnc/VideoDriver.h
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h

Applied a set of code improvements in the driver interface code from
Vladimir Vologzhanin.

------------------------------------------------------------------------
r1685 | const_k | 2004-03-26 13:52:58 +0600 (Fri, 26 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp

Recovered the vncDesktop::GetChangedRegion function that was completely
broken.

------------------------------------------------------------------------
r1684 | const_k | 2004-03-26 11:27:42 +0600 (Fri, 26 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp

Tiny cleanups.

------------------------------------------------------------------------
r1683 | const_k | 2004-03-26 11:18:32 +0600 (Fri, 26 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h

Removed two unused variables that were moved to vncDesktop a long time ago.
Also, a number of minor code cleanups.

------------------------------------------------------------------------
r1682 | const_k | 2004-03-26 11:01:04 +0600 (Fri, 26 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h

Moved the polling stuff into a separate method, in the vncDesktop class.

------------------------------------------------------------------------
r1681 | const_k | 2004-03-25 19:47:57 +0600 (Thu, 25 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp

Minor changes in comments.

------------------------------------------------------------------------
r1680 | const_k | 2004-03-25 17:32:06 +0600 (Thu, 25 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h

Code cleanup - HandleDriverChanges() method has been moved from
vncDesktopThread to vncDesktop class.

------------------------------------------------------------------------
r1679 | const_k | 2004-03-25 17:00:18 +0600 (Thu, 25 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp

Removed unused vncDesktopDX.cpp from the project configurations.

------------------------------------------------------------------------
r1678 | const_k | 2004-03-25 16:39:28 +0600 (Thu, 25 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/PollControls.cpp
   M /orig/trunk/vnc_winsrc/winvnc/SharedDesktopArea.cpp
   M /orig/trunk/vnc_winsrc/winvnc/VNCHelp.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.h

Minor code cleanups, e.g. more reasonable names for variables and functions
related to polling.

------------------------------------------------------------------------
r1677 | const_k | 2004-03-25 14:11:41 +0600 (Thu, 25 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/VideoDriver.cpp

Don't log debug info on INTERR log level.

------------------------------------------------------------------------
r1676 | const_k | 2004-03-20 21:54:16 +0600 (Sat, 20 Mar 2004) | 2 lines
Changed paths:
   A /orig/trunk/vnc_winsrc/winvnc/VideoDriver.cpp
   A /orig/trunk/vnc_winsrc/winvnc/VideoDriver.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h

Added initial support for mirror video driver.

------------------------------------------------------------------------
r1675 | oleg_sh | 2004-03-20 17:10:25 +0600 (Sat, 20 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Fixed the bug #918597-when changing Query Timeout
does not write to registry.

------------------------------------------------------------------------
r1674 | const_k | 2004-03-19 18:29:06 +0600 (Fri, 19 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp

Warning messages have been changed.

------------------------------------------------------------------------
r1673 | const_k | 2004-03-19 16:57:52 +0600 (Fri, 19 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Bugfix for the previous bugfix. ;-)

------------------------------------------------------------------------
r1672 | oleg_sh | 2004-03-19 14:04:14 +0600 (Fri, 19 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Fixed the bug #865363 - the viewer crashed
when long passwords were entered in the authentication dialog.

------------------------------------------------------------------------
r1671 | oleg_sh | 2004-03-18 14:15:08 +0600 (Thu, 18 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h

Change in logic of positioning of vncviewer  windows in cases
when the maximize button is switched and when toolbar is switched.

------------------------------------------------------------------------
r1670 | oleg_sh | 2004-03-17 12:48:16 +0600 (Wed, 17 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Change of a method of restriction of the size of a vncviewer window,
 when it changes. Also minor improvement of a code.

------------------------------------------------------------------------
r1669 | const_k | 2004-03-17 00:10:02 +0600 (Wed, 17 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/omnithread/omnithread.h

A compilation fix. This change was missing in recent commits for some reason.

------------------------------------------------------------------------
r1668 | oleg_sh | 2004-03-16 17:46:08 +0600 (Tue, 16 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Change in logic of positioning of a vncviewer window,
when changing the size of the buffer .

------------------------------------------------------------------------
r1666 | const_k | 2004-03-11 22:43:50 +0600 (Thu, 11 Mar 2004) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   A /orig/trunk/vnc_winsrc/winvnc/omnithread/nt.cpp
   A /orig/trunk/vnc_winsrc/winvnc/omnithread/nt.h
   D /orig/trunk/vnc_winsrc/winvnc/omnithread/omnithread
   M /orig/trunk/vnc_winsrc/winvnc/omnithread/omnithread.dsp

Build configurations were changed to link omnithread library to WinVNC
statically. Also, the omnithread library source was copied from the vncviewer
sources.

------------------------------------------------------------------------
r1665 | const_k | 2004-03-11 22:41:04 +0600 (Thu, 11 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/libjpeg/libjpeg.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/omnithread/omnithread.dsp

Minor cleanups in build configurations.

------------------------------------------------------------------------
r1664 | const_k | 2004-03-11 21:41:51 +0600 (Thu, 11 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/libjpeg/libjpeg.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/zlib/zlib.dsp

Minor cleanups in build configurations.

------------------------------------------------------------------------
r1663 | const_k | 2004-03-11 21:01:38 +0600 (Thu, 11 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/libjpeg/jmorecfg.h

Eliminated a compilation warning.

------------------------------------------------------------------------
r1662 | const_k | 2004-03-11 20:43:12 +0600 (Thu, 11 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/libjpeg/libjpeg.dsp
   M /orig/trunk/vnc_winsrc/winvnc/zlib
   M /orig/trunk/vnc_winsrc/winvnc/zlib/.cvsignore
   D /orig/trunk/vnc_winsrc/winvnc/zlib/zconf.h
   D /orig/trunk/vnc_winsrc/winvnc/zlib/zlib.def
   M /orig/trunk/vnc_winsrc/winvnc/zlib/zlib.dsp
   D /orig/trunk/vnc_winsrc/winvnc/zlib/zlib.rc
   M /orig/trunk/vnc_winsrc/winvnc/zlib/zlib.vcproj

Build configurations have changed to link zlib library to WinVNC statically.

------------------------------------------------------------------------
r1661 | const_k | 2004-03-11 20:17:56 +0600 (Thu, 11 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp

Minor cleanups in the project file.

------------------------------------------------------------------------
r1660 | const_k | 2004-03-11 18:01:05 +0600 (Thu, 11 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/libjpeg/libjpeg.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/omnithread/omnithread.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/zlib/zlib.dsp

Another set of changed that should be included in the previous commit.

------------------------------------------------------------------------
r1659 | const_k | 2004-03-11 17:58:16 +0600 (Thu, 11 Mar 2004) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer
   M /orig/trunk/vnc_winsrc/vncviewer/.cvsignore
   M /orig/trunk/vnc_winsrc/vncviewer/libjpeg
   M /orig/trunk/vnc_winsrc/vncviewer/libjpeg/.cvsignore
   M /orig/trunk/vnc_winsrc/vncviewer/libjpeg/libjpeg.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/omnithread
   M /orig/trunk/vnc_winsrc/vncviewer/omnithread/.cvsignore
   M /orig/trunk/vnc_winsrc/vncviewer/omnithread/omnithread.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/zlib
   M /orig/trunk/vnc_winsrc/vncviewer/zlib/.cvsignore
   M /orig/trunk/vnc_winsrc/vncviewer/zlib/zlib.dsp

Now all the oject files and libraries will go to the same directories
vncviewer/Debug and vncviewer/Release, not into separate directories
per each library.

------------------------------------------------------------------------
r1658 | mrdennis | 2004-03-10 21:44:04 +0600 (Wed, 10 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Fixed bug with wrong data in FileListData message.

------------------------------------------------------------------------
r1657 | const_k | 2004-03-09 00:27:11 +0600 (Tue, 09 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncInstHandler.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp

Changes in menu class and mutex names.

------------------------------------------------------------------------
r1656 | const_k | 2004-03-09 00:07:02 +0600 (Tue, 09 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h

Changed the order of constants in resource.h, corrected the
_APS_NEXT_CONTROL_VALUE constant.

------------------------------------------------------------------------
r1655 | oleg_sh | 2004-03-08 18:18:44 +0600 (Mon, 08 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

The context help in "TightVNC File Transfers" dialog box
 in vncviewer is added.

------------------------------------------------------------------------
r1654 | oleg_sh | 2004-03-06 22:21:01 +0600 (Sat, 06 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.h
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncInstHandler.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

LiveShare and WinVNC are made as independent appendices.
Now it is possible to start them simultaneously.

------------------------------------------------------------------------
r1653 | oleg_sh | 2004-03-06 13:38:33 +0600 (Sat, 06 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/VNCHelp.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Codes of help system are completely adapted for the HorizonLive project.

------------------------------------------------------------------------
r1651 | oleg_sh | 2004-03-05 16:16:03 +0600 (Fri, 05 Mar 2004) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncHTTPConnect.cpp

The bug in "vncHTTPListenThread" class which repeats
 a bug in "vncSockConnectThread" class is fixed. This bug resulted
in lag of a server if repeatedly to switch "Allow only loopback connections"
control.

------------------------------------------------------------------------
r1650 | oleg_sh | 2004-03-05 12:13:32 +0600 (Fri, 05 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncSockConnect.cpp

Bug, which resulted in lag of a server, when was repeatedly switched
"Allow only loopback connections"control is fixed.

------------------------------------------------------------------------
r1649 | const_k | 2004-03-04 22:45:58 +0600 (Thu, 04 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/InstInfo.rtf
   A /orig/trunk/vnc_winsrc/TightVNC-donate.url
   M /orig/trunk/vnc_winsrc/TightVNC.iss

Packaging updates for the 1.3dev4 version.

------------------------------------------------------------------------
r1648 | const_k | 2004-03-04 22:25:32 +0600 (Thu, 04 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/Makefile.bcc32
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

Fixed compilation problems under Borland C++ 5.5.

------------------------------------------------------------------------
r1647 | const_k | 2004-03-04 21:49:56 +0600 (Thu, 04 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/BUILDING.txt
   M /orig/trunk/vnc_winsrc/README-bin.txt
   M /orig/trunk/vnc_winsrc/README.txt
   M /orig/trunk/vnc_winsrc/TightVNC.iss
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

Version strings changed, version 1.3dev4.

------------------------------------------------------------------------
r1646 | const_k | 2004-03-04 21:36:11 +0600 (Thu, 04 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Minor change to support rfbAuthNone in authentication capabilities.

------------------------------------------------------------------------
r1644 | const_k | 2004-03-04 21:18:07 +0600 (Thu, 04 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/res/AuthPanel.class
   A /orig/trunk/vnc_winsrc/winvnc/res/AuthUnixLoginPanel.class
   A /orig/trunk/vnc_winsrc/winvnc/res/CapabilityInfo.class
   A /orig/trunk/vnc_winsrc/winvnc/res/CapsContainer.class
   M /orig/trunk/vnc_winsrc/winvnc/res/RfbProto.class
   M /orig/trunk/vnc_winsrc/winvnc/res/VncCanvas.class
   M /orig/trunk/vnc_winsrc/winvnc/res/VncViewer.class
   M /orig/trunk/vnc_winsrc/winvnc/res/VncViewer.jar
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncHTTPConnect.cpp

Built-in Java viewer upgraded to the latest version.

------------------------------------------------------------------------
r1640 | const_k | 2004-03-04 13:07:43 +0600 (Thu, 04 Mar 2004) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp

Fixes for CopyRect handling on the server side. Now CopyRect support is
enabled again, and seems to work fine. This is a patch from Vladimir
Vologjanin.

------------------------------------------------------------------------
r1638 | const_k | 2004-03-03 21:51:04 +0600 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/BUILDING.txt

Minor grammar fix.

------------------------------------------------------------------------
r1637 | const_k | 2004-03-03 16:46:32 +0600 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/BUILDING-bcc32.txt
   M /orig/trunk/vnc_winsrc/BUILDING.txt

Improved compilation notes. This should fix the bug tracker item
#900393.

------------------------------------------------------------------------
r1632 | oleg_sh | 2004-03-01 00:00:21 +0600 (Mon, 01 Mar 2004) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/AdministrationControls.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

The logic of switchings of "Allow loopback connections" and
 "Allow only loopback connections" controls in "Administration" tab
 in "Properties" dialog box is changed.

------------------------------------------------------------------------
r1631 | oleg_sh | 2004-02-29 20:57:55 +0600 (Sun, 29 Feb 2004) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.h

The code for installation of the password in "Properties" dialog box is
 transformed into "SetPasswordSettings" separate function. The warning
message box is added when is length of the password more than eight
symbols.

------------------------------------------------------------------------
r1630 | oleg_sh | 2004-02-29 13:50:22 +0600 (Sun, 29 Feb 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.h

The logic of behaviour of "Display or port numbers to use" group of controls,
 in "Incoming Connections" tab, in "Properties" dialog box, is corrected.

------------------------------------------------------------------------
r1629 | const_k | 2004-02-28 16:50:11 +0600 (Sat, 28 Feb 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Minor code cleanups, and a few clarifications in comments.

------------------------------------------------------------------------
r1628 | const_k | 2004-02-27 20:44:11 +0600 (Fri, 27 Feb 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp

Don't start the HTTP daemon if its TCP port number is the same as that of
the RFB server.

------------------------------------------------------------------------
r1625 | oleg_sh | 2004-02-27 16:39:46 +0600 (Fri, 27 Feb 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Display of real values of ports in a mode "auto" is restored, when the "Apply"
button is pressed  and at initialization of "Properties" dialog box .

------------------------------------------------------------------------
r1624 | const_k | 2004-02-26 21:58:05 +0600 (Thu, 26 Feb 2004) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h

Added signature for "no authentication" capability, together with
minor code formatting changes. These modification were copied from the
Unix version.

------------------------------------------------------------------------
r1622 | const_k | 2004-02-20 15:50:43 +0600 (Fri, 20 Feb 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp

Minor changes in the warning message.

------------------------------------------------------------------------
r1621 | const_k | 2004-02-20 15:49:19 +0600 (Fri, 20 Feb 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h

Removed unnecessary changes from the previous commit.

------------------------------------------------------------------------
r1620 | oleg_sh | 2004-02-20 14:06:56 +0600 (Fri, 20 Feb 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h

Check on equality of RFB and HTTP ports is added.

------------------------------------------------------------------------
r1619 | oleg_sh | 2004-02-17 15:42:03 +0600 (Tue, 17 Feb 2004) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp

The logic of behaviour of group of controls " Display or port numbers to use "
in tab " Incoming Connections " is restored. This has been lost when
"Properties" dialog box  has been transformed into a tabcontrol box.

------------------------------------------------------------------------
r1618 | const_k | 2004-02-16 19:55:44 +0600 (Mon, 16 Feb 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

First few strings of context help for the WinVNC Properties dialog.

------------------------------------------------------------------------
r1617 | const_k | 2004-02-16 00:35:03 +0600 (Mon, 16 Feb 2004) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncService.cpp

The message box "The WinVNC service has been unregistered" won't be shown
when running WinVNC -reinstall. For some reason, if the user did not close
that dialog, WinVNC could not install the service.

------------------------------------------------------------------------
r1616 | const_k | 2004-02-15 23:08:30 +0600 (Sun, 15 Feb 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

Corrected the tab order in HorizonLive-specific dialogs, and fixed broken
link step in the HorizonLive configuration.

------------------------------------------------------------------------
r1615 | const_k | 2004-02-15 20:40:52 +0600 (Sun, 15 Feb 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp

A bugfix from Vladimir Vologjanin to resolve the issue with crashing on a
remote Ctrl-Alt-Del in the service mode.

------------------------------------------------------------------------
r1614 | const_k | 2004-01-29 19:54:42 +0600 (Thu, 29 Jan 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc
   M /orig/trunk/vnc_winsrc/winvnc/.cvsignore
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp

Linking with htmlhelp.lib in Debug and Profile configurations.

------------------------------------------------------------------------
r1613 | const_k | 2004-01-29 19:23:50 +0600 (Thu, 29 Jan 2004) | 2 lines
Changed paths:
   D /orig/trunk/vnc_winsrc/winvnc/vncAdvancedProperties.cpp
   D /orig/trunk/vnc_winsrc/winvnc/vncAdvancedProperties.h

Files removed once more.

------------------------------------------------------------------------
r1611 | const_k | 2004-01-13 20:07:30 +0600 (Tue, 13 Jan 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Bugfix for the previous bugfix. ;-)

------------------------------------------------------------------------
r1610 | const_k | 2004-01-13 19:18:10 +0600 (Tue, 13 Jan 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Minor bugfix -- an error condition was not checked properly.

------------------------------------------------------------------------
r1609 | oleg_sh | 2004-01-12 16:31:21 +0600 (Mon, 12 Jan 2004) | 6 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   A /orig/trunk/vnc_winsrc/winvnc/VNCHelp.cpp
   A /orig/trunk/vnc_winsrc/winvnc/VNCHelp.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

In the dialog box Properties is added the context-sensitive help. For this
purpose in the project WinVNC the new class is added. It the description is
in files VNCHelp.cpp and VNCHelp.h.The code of a class vncProperties
 is accordingly changed. Also the strings appropriate to each control
of the dialog box are added.

------------------------------------------------------------------------
r1608 | mrdennis | 2004-01-06 17:15:23 +0600 (Tue, 06 Jan 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransferItemInfo.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransferItemInfo.h

Minor code improvements.

------------------------------------------------------------------------
r1607 | mrdennis | 2004-01-06 15:20:39 +0600 (Tue, 06 Jan 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h
   M /orig/trunk/vnc_winsrc/winvnc/FileTransferItemInfo.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h

Small code improvement. Resolve problems with terminate file transfer after
"Kill All Clients" pushed on server side.

------------------------------------------------------------------------
r1606 | mrdennis | 2004-01-04 03:32:21 +0600 (Sun, 04 Jan 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Small code improvement. Stoping download when pushed "Kill All Clients"
on server side.

------------------------------------------------------------------------
r1605 | oleg_sh | 2003-12-24 18:26:11 +0600 (Wed, 24 Dec 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Fixed bug with positioning the image in a window vncviewer,
 when toolbar is switched - off.

------------------------------------------------------------------------
r1604 | const_k | 2003-12-23 05:38:13 +0600 (Tue, 23 Dec 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/Makefile.bcc32

The Borland C++ makefile did not include Java classes into WinVNC.exe.

------------------------------------------------------------------------
r1603 | const_k | 2003-12-17 21:25:18 +0600 (Wed, 17 Dec 2003) | 2 lines
Changed paths:
   A /orig/trunk/vnc_winsrc/InstInfo.rtf
   M /orig/trunk/vnc_winsrc/TightVNC.iss

Packaging fixes for the 1.3dev3 release.

------------------------------------------------------------------------
r1602 | oleg_sh | 2003-12-16 03:24:13 +0600 (Tue, 16 Dec 2003) | 7 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h

Dialog box "Advanced Properties " is removed from project WinVNC.
Groups of controls of this dialog box are placed in separate tabs in
dialog box "Properties", "Administration" and " Query Settings ".
Changes are accordingly brought in the description of a class
"vncProperties", and the description of a class "vncAdvancedProperties"
is removed.

------------------------------------------------------------------------
r1600 | const_k | 2003-12-15 20:14:02 +0600 (Mon, 15 Dec 2003) | 2 lines
Changed paths:
   A /orig/trunk/vnc_winsrc/TightVNC.url

TightVNC.url added from BRANCH_1_2_STABLE.

------------------------------------------------------------------------
r1599 | const_k | 2003-12-12 17:46:19 +0600 (Fri, 12 Dec 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/Makefile.bcc32
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

Fixed compilation under Borland C++ 5.5.

------------------------------------------------------------------------
r1598 | const_k | 2003-12-12 17:28:39 +0600 (Fri, 12 Dec 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

CopyRect handling temporarily disabled on the server side. It should have
been fixed in future versions.

------------------------------------------------------------------------
r1597 | oleg_sh | 2003-12-08 15:50:01 +0600 (Mon, 08 Dec 2003) | 5 lines
Changed paths:
   A /orig/trunk/vnc_winsrc/winvnc/AdministrationControls.cpp
   A /orig/trunk/vnc_winsrc/winvnc/AdministrationControls.h
   M /orig/trunk/vnc_winsrc/winvnc/QuerySettingsControls.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp

Code for controls of groups "Administration", "Temporary" and "Connection Priority", in dialog box
 " Advanced Properties ", is selected in separate class "AdministrationControls". The description of
a class is in files AdministrationControls.cpp and AdministrationControls.h. The code
 in the description of a class "vncAdvancedProperties" is accordingly changed.

------------------------------------------------------------------------
r1596 | oleg_sh | 2003-12-07 03:09:20 +0600 (Sun, 07 Dec 2003) | 6 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.h
   A /orig/trunk/vnc_winsrc/winvnc/QuerySettingsControls.cpp
   A /orig/trunk/vnc_winsrc/winvnc/QuerySettingsControls.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h

Code for elements of management of group " Query Settings " in dialogue
" Advanced Properties "  is selected in separate class QuerySettingsControls.
The description of a class is in files QuerySettingsControls.cpp and
QuerySettingsControls.h. The code in the description of a class
"vncAdvancedProperties" is accordingly changed.

------------------------------------------------------------------------
r1595 | const_k | 2003-11-29 09:50:47 +0600 (Sat, 29 Nov 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

External authentication support turned off.

------------------------------------------------------------------------
r1594 | const_k | 2003-11-28 21:22:22 +0600 (Fri, 28 Nov 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/BUILDING.txt
   M /orig/trunk/vnc_winsrc/README-bin.txt
   M /orig/trunk/vnc_winsrc/README.txt
   M /orig/trunk/vnc_winsrc/TightVNC.iss
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/winvnc/VNCHooks/VNCHooks.rc
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

Version strings changed, version 1.3dev3.

------------------------------------------------------------------------
r1593 | const_k | 2003-11-28 20:07:46 +0600 (Fri, 28 Nov 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp

Uncommented code that was commented out by mistake.

------------------------------------------------------------------------
r1592 | mrdennis | 2003-11-28 00:46:30 +0600 (Fri, 28 Nov 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp

Fixed bug with wrong length of FileUploadDataMsg.
Small code impovements for right show sizes of files in FileTransfer dialog.

------------------------------------------------------------------------
r1591 | oleg_sh | 2003-11-21 13:37:33 +0600 (Fri, 21 Nov 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

The setting of a focus of input in tab "Incoming Connections" for of initialization
of the dialog box "Properties" is fixed.

------------------------------------------------------------------------
r1590 | oleg_sh | 2003-11-17 03:47:24 +0600 (Mon, 17 Nov 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h

The wholeness of the project "HorizonLive" is restored. It was lost in a during
of transformation of dialogues in the project "WinVNC".

------------------------------------------------------------------------
r1589 | oleg_sh | 2003-11-15 02:40:31 +0600 (Sat, 15 Nov 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

In tab "Incoming Connections" of the "Properties" dialog box the setting
of a focus  of input in fields of input "Primary password", "display" and
"main port" is made when the switches "Accept socket connections",
 "display" and "ports"  are checked accordingly .

------------------------------------------------------------------------
r1588 | oleg_sh | 2003-11-10 14:26:41 +0600 (Mon, 10 Nov 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

Fixed a bug with operation of scaling for significance of scale 100 %

------------------------------------------------------------------------
r1587 | const_k | 2003-11-05 23:25:04 +0600 (Wed, 05 Nov 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ConnectingDialog.cpp

Fixed race conditions in the ConnDlgThread class implementation.

------------------------------------------------------------------------
r1586 | const_k | 2003-11-05 01:58:32 +0600 (Wed, 05 Nov 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

A small bugfix - the window did not redraw itself correctly after applying
new scaling settings.

------------------------------------------------------------------------
r1585 | const_k | 2003-11-05 01:53:51 +0600 (Wed, 05 Nov 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ConnectingDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ConnectingDialog.h

The "Connecting..." dialog is fully functional now, it works in a separate
thread. Also, a few fixes in other places were made.

------------------------------------------------------------------------
r1584 | const_k | 2003-11-04 22:28:00 +0600 (Tue, 04 Nov 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/LoginAuthDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

The "Close" button renamed to "Hide" in the "Connecting..." dialog. Also,
now the keyboard focus will be moved to the password field if there is a
username pre-set in the LoginAuth dialog.

------------------------------------------------------------------------
r1583 | const_k | 2003-11-04 03:28:41 +0600 (Tue, 04 Nov 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/Makefile.bcc32
   M /orig/trunk/vnc_winsrc/vncviewer/VNCviewerApp32.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

If a config file was used, the viewer won't continuously retry authentication
any more. Instead, it will show the "New Connection" dialod box after the
first authentication failure.

------------------------------------------------------------------------
r1582 | const_k | 2003-11-03 21:49:49 +0600 (Mon, 03 Nov 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFile.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/LoginAuthDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/LoginAuthDialog.h

Implemented a possibility to save a username without password in .vnc files,
for the "external" authentication.

------------------------------------------------------------------------
r1581 | const_k | 2003-11-03 21:15:16 +0600 (Mon, 03 Nov 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   A /orig/trunk/vnc_winsrc/vncviewer/ConnectingDialog.cpp
   A /orig/trunk/vnc_winsrc/vncviewer/ConnectingDialog.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp

Implemented new "Connecting..." dialog box showing connection progress.
This version is not fully functional yet -- it does not handle messages of
the dialog window correctly.

------------------------------------------------------------------------
r1580 | const_k | 2003-10-30 22:41:05 +0600 (Thu, 30 Oct 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h

Unused resources have been removed.

------------------------------------------------------------------------
r1579 | const_k | 2003-10-30 22:39:16 +0600 (Thu, 30 Oct 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp

Linking WinVNC with comctl32.lib in Debug and Profile build configurations.

------------------------------------------------------------------------
r1578 | oleg_sh | 2003-10-30 11:44:03 +0600 (Thu, 30 Oct 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h

The Properties dialog box is transformed into a property sheet dialog box.

------------------------------------------------------------------------
r1577 | const_k | 2003-10-27 22:41:12 +0600 (Mon, 27 Oct 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/build-bcc32.bat

Line endings corrected.

------------------------------------------------------------------------
r1576 | const_k | 2003-10-27 22:39:49 +0600 (Mon, 27 Oct 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/Makefile.bcc32
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

Fixes for Borland C++ 5.5 compilation.

------------------------------------------------------------------------
r1575 | const_k | 2003-10-27 22:20:49 +0600 (Mon, 27 Oct 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFile.cpp

Implemented a possibility to save encrypted username/password pair for
"external" authentication in .vnc files, just like the standard VNC password
is saved. Also, "do you want to save the password?" prompt is now skipped
if the viewer did not perform authentication.

------------------------------------------------------------------------
r1574 | const_k | 2003-10-27 20:34:11 +0600 (Mon, 27 Oct 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFile.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/LoginAuthDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/LoginAuthDialog.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

On connection failures, error message boxes will include hostname/display
information. Also, the same information will be shown in the External
Authentication dialog.

------------------------------------------------------------------------
r1573 | const_k | 2003-10-25 17:25:30 +0700 (Sat, 25 Oct 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Minor code enhancements.

------------------------------------------------------------------------
r1572 | const_k | 2003-10-25 17:17:38 +0700 (Sat, 25 Oct 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h

Added new vncClient::GetServerName() function.

------------------------------------------------------------------------
r1571 | const_k | 2003-10-25 14:35:07 +0700 (Sat, 25 Oct 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Fixed a bug in the "external" authentication with calling functions
returning results in the same static memory area.

------------------------------------------------------------------------
r1570 | oleg_sh | 2003-10-12 19:13:05 +0700 (Sun, 12 Oct 2003) | 5 lines
Changed paths:
   A /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.cpp
   A /orig/trunk/vnc_winsrc/winvnc/IncomingConnectionsControls.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h

The code for controls of group "Incoming Connections" in "Property Page"
dialog box is transformed into a separate class IncomingConnectionsControls.
The description of a class is added in separate files
IncomingConnectionsControls.h and IncomingConnectionsControls.cpp.

------------------------------------------------------------------------
r1568 | const_k | 2003-10-09 16:10:23 +0700 (Thu, 09 Oct 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/AuthDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionZlib.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionZlibHex.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/LoginAuthDialog.cpp
   A /orig/trunk/vnc_winsrc/vncviewer/Makefile.mingw
   A /orig/trunk/vnc_winsrc/vncviewer/omnithread/Makefile.mingw
   A /orig/trunk/vnc_winsrc/vncviewer/res/Makefile.mingw
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/vncviewer/stdhdrs.h
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.h

Applied a patch from Peter Astrand to enable building the viewer with the
MinGW compiler.

------------------------------------------------------------------------
r1567 | const_k | 2003-10-09 15:50:53 +0700 (Thu, 09 Oct 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/KeyMap.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/keysymdef.h

Applied a patch from Peter Astrand to fix deadkeys handling.

------------------------------------------------------------------------
r1566 | const_k | 2003-10-09 15:14:50 +0700 (Thu, 09 Oct 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/LoginAuthDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/LoginAuthDialog.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.h

Experimental support for an alternative "external" authentication. This is
the first step to the pluggable authentication architecture.

------------------------------------------------------------------------
r1565 | const_k | 2003-10-09 14:45:16 +0700 (Thu, 09 Oct 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc
   M /orig/trunk/vnc_winsrc/.cvsignore
   M /orig/trunk/vnc_winsrc/winvnc/libjpeg
   M /orig/trunk/vnc_winsrc/winvnc/libjpeg/.cvsignore

Ignoring intermediate files and directories created on compilation.

------------------------------------------------------------------------
r1564 | const_k | 2003-09-17 16:53:16 +0700 (Wed, 17 Sep 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp

Two text messages have been changed.

------------------------------------------------------------------------
r1563 | mrdennis | 2003-09-15 17:36:32 +0700 (Mon, 15 Sep 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Small code improvements.

------------------------------------------------------------------------
r1562 | const_k | 2003-09-14 18:30:51 +0700 (Sun, 14 Sep 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h

Minor code cleanups.

------------------------------------------------------------------------
r1561 | const_k | 2003-09-09 18:37:47 +0700 (Tue, 09 Sep 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Minor improvements and fixes in the file transfer implementation.

------------------------------------------------------------------------
r1560 | const_k | 2003-09-09 16:46:58 +0700 (Tue, 09 Sep 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Fixed a few issues in the file transfer implementation.

------------------------------------------------------------------------
r1559 | const_k | 2003-09-08 22:01:39 +0700 (Mon, 08 Sep 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/Makefile.bcc32
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Fixes for Borland C++ 5.5 compilation.

------------------------------------------------------------------------
r1558 | const_k | 2003-09-08 20:24:55 +0700 (Mon, 08 Sep 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h

A quick fix for the problem with incorrect initial client framebuffer size.

------------------------------------------------------------------------
r1557 | mrdennis | 2003-09-08 03:25:33 +0700 (Mon, 08 Sep 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransferItemInfo.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransferItemInfo.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h

Preliminary release of new version FileTransfer protocol.

------------------------------------------------------------------------
r1556 | const_k | 2003-09-04 02:37:20 +0700 (Thu, 04 Sep 2003) | 6 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h

Support for the latest RealVNC's RFB protocol 3.7 has been added. TightVNC
protocol extensions are now enabled via a special "security type" sent by the
server prior to authentication. These protocol changes ensure maximum
possible protocol compatibility with all the standard VNC versions (and with
all stable TightVNC releases, too).

------------------------------------------------------------------------
r1555 | mrdennis | 2003-09-04 01:45:30 +0700 (Thu, 04 Sep 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransferItemInfo.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransferItemInfo.h
   A /orig/trunk/vnc_winsrc/winvnc/FileTransferItemInfo.cpp
   A /orig/trunk/vnc_winsrc/winvnc/FileTransferItemInfo.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

ATTENTION!!! This version of FileTransfer allow compile all project, BUT
FileTransfer feature not work, sorry...
Added new class FileTransferItemInfo in VNCServer. This class is different
of FileransferItemInfo in VNCviewer.

------------------------------------------------------------------------
r1554 | mrdennis | 2003-08-28 02:07:14 +0700 (Thu, 28 Aug 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h

Change rfb-protocol. Added new version of FileTransfer protocol.

------------------------------------------------------------------------
r1553 | const_k | 2003-08-23 18:55:32 +0700 (Sat, 23 Aug 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransferItemInfo.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/Makefile.bcc32
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/winvnc/Makefile.bcc32
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

Minor fixes for Borland C++ compatibility.

------------------------------------------------------------------------
r1552 | const_k | 2003-08-23 18:25:03 +0700 (Sat, 23 Aug 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/PollControls.cpp
   M /orig/trunk/vnc_winsrc/winvnc/PollControls.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Major code improvements in the PollControls class, and a fix for the problem
with two incorrectly enabled checkboxes.

------------------------------------------------------------------------
r1551 | const_k | 2003-08-23 17:08:45 +0700 (Sat, 23 Aug 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncService.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncService.h

If the command line includes both -sharewindow and -connect options, then
the -connect option will take effect only if there was a valid window to
share found.

------------------------------------------------------------------------
r1550 | const_k | 2003-08-23 14:40:44 +0700 (Sat, 23 Aug 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.h

Implemented an option to enable/disable file transfers.

------------------------------------------------------------------------
r1549 | const_k | 2003-08-23 14:05:08 +0700 (Sat, 23 Aug 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Fixed a bug -- a pointer to the CMatchWindow object was not properly
initialized.

------------------------------------------------------------------------
r1548 | const_k | 2003-08-23 13:25:26 +0700 (Sat, 23 Aug 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/SharedDesktopArea.cpp
   M /orig/trunk/vnc_winsrc/winvnc/SharedDesktopArea.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Minor code improvements in the SharedDesktopArea class.

------------------------------------------------------------------------
r1547 | const_k | 2003-08-22 21:37:03 +0700 (Fri, 22 Aug 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

A quick fix for the problem with not loading settings in the listening mode,
when the viewer was started with the -listen command-line option.

------------------------------------------------------------------------
r1530 | mrdennis | 2003-07-30 00:33:00 +0700 (Wed, 30 Jul 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Some code improvevments. Now, FileTransfer feature can operates
with removable, remote, fixed and CD-ROM drives.

------------------------------------------------------------------------
r1529 | const_k | 2003-07-25 18:50:03 +0700 (Fri, 25 Jul 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncAcceptReverseDlg.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp

A set of minor changes specific to the HorizonLive build configuration,
merged from the BRANCH_HL_JUL2003.

------------------------------------------------------------------------
r1518 | oleg_sh | 2003-07-23 11:28:52 +0700 (Wed, 23 Jul 2003) | 6 lines
Changed paths:
   A /orig/trunk/vnc_winsrc/winvnc/SharedDesktopArea.cpp
   A /orig/trunk/vnc_winsrc/winvnc/SharedDesktopArea.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h

The plots of a code in vncProperties.cpp which work with
Shared Desktop Area controls are transformed into a separate
class SharedDesktopArea.
Now manipulations with Shared Desktop Area controls happen by means of
methods of a class SharedDesktopArea.

------------------------------------------------------------------------
r1517 | oleg_sh | 2003-07-21 03:48:30 +0700 (Mon, 21 Jul 2003) | 5 lines
Changed paths:
   A /orig/trunk/vnc_winsrc/winvnc/InputHandlingControls.cpp
   A /orig/trunk/vnc_winsrc/winvnc/InputHandlingControls.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h

The plots of a code in vncProperties.cpp which work with
input handling controls are transformed into a separate class
InputHandlingControls. Now manipulations with input handling controls
will be realized by means of methods of a class InputHandlingControls.

------------------------------------------------------------------------
r1516 | oleg_sh | 2003-07-20 14:35:39 +0700 (Sun, 20 Jul 2003) | 5 lines
Changed paths:
   A /orig/trunk/vnc_winsrc/winvnc/PollControls.cpp
   A /orig/trunk/vnc_winsrc/winvnc/PollControls.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h

The plots of a code in vncProperties.cpp which work with
polling controls are transformed into a separate class
PollControls. Now manipulations with polling controls
will be realized by means of methods of a class PollControls

------------------------------------------------------------------------
r1515 | mrdennis | 2003-07-17 23:12:23 +0700 (Thu, 17 Jul 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h
   A /orig/trunk/vnc_winsrc/vncviewer/FileTransferItemInfo.cpp
   A /orig/trunk/vnc_winsrc/vncviewer/FileTransferItemInfo.h
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp

Added new class FileTransferItemInfo, which hold information about ListView
items in FileTransfer dialog.
Small code improvement for ProgressBar in FileTransfer dialog.

------------------------------------------------------------------------
r1513 | mrdennis | 2003-07-15 20:35:09 +0700 (Tue, 15 Jul 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp

Added LVS_EX_FULLROWSELECT window style to ListView controls in
the File Transfer dialog. Now, when an item is selected, the item and all
its subitems are highlighted.

------------------------------------------------------------------------
r1512 | const_k | 2003-07-12 01:23:20 +0700 (Sat, 12 Jul 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

On specifying an invalid server name, showing a message box instead of the
usage help message.

------------------------------------------------------------------------
r1511 | const_k | 2003-07-11 18:17:25 +0700 (Fri, 11 Jul 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/AboutBox.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/AboutBox.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Improved the layout of the dialog box with the usage help. Now the same
dialog appears both on specifying the /? option, or on specifying an
incorrect host name.

------------------------------------------------------------------------
r1508 | const_k | 2003-07-11 05:14:53 +0700 (Fri, 11 Jul 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp

Closing HKEY_CURRENT_USER properly on restoring display settings. This
change should solve problems with reading the registry in the service
mode.

------------------------------------------------------------------------
r1507 | const_k | 2003-07-11 05:10:06 +0700 (Fri, 11 Jul 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Debugging output removed.

------------------------------------------------------------------------
r1506 | const_k | 2003-07-10 19:18:21 +0700 (Thu, 10 Jul 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/filereload.ico
   M /orig/trunk/vnc_winsrc/vncviewer/res/fileup.ico
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Images changed for "up" and "reload" icons in the File Transfer
dialog.

------------------------------------------------------------------------
r1505 | const_k | 2003-07-10 19:16:40 +0700 (Thu, 10 Jul 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Disabling file transfers if the client has authenticated against a
view-only password.

------------------------------------------------------------------------
r1504 | const_k | 2003-07-10 19:03:33 +0700 (Thu, 10 Jul 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Writing into the log on receiving an invalid client message.

------------------------------------------------------------------------
r1503 | const_k | 2003-07-10 18:12:16 +0700 (Thu, 10 Jul 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h

Minor GUI improvements in the File Transfer dialog.

------------------------------------------------------------------------
r1502 | const_k | 2003-07-10 18:08:30 +0700 (Thu, 10 Jul 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer
   M /orig/trunk/vnc_winsrc/vncviewer/.cvsignore

Ignoring vncviewer.log.

------------------------------------------------------------------------
r1501 | const_k | 2003-07-10 18:04:53 +0700 (Thu, 10 Jul 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Implemented logging on file uploads/downloads.

------------------------------------------------------------------------
r1500 | const_k | 2003-07-10 18:01:38 +0700 (Thu, 10 Jul 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp

Fixed a bug with not closing directory handles in file transfers.

------------------------------------------------------------------------
r1499 | const_k | 2003-07-10 17:57:40 +0700 (Thu, 10 Jul 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Fixed a bug with not closing file handles after uploading in file
transfers.

------------------------------------------------------------------------
r1498 | const_k | 2003-07-10 17:51:53 +0700 (Thu, 10 Jul 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncBuffer.h

Unused function prototype has been removed.

------------------------------------------------------------------------
r1497 | const_k | 2003-07-05 00:53:20 +0700 (Sat, 05 Jul 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncAdvancedProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.h

Implemented a possibility to turn off hooking via VNCHooks.dll when
full screen polling is in use, and added a corresponding option to the
Properties dialog (that is Advanced Properties in the HorizonLive
configuration).

------------------------------------------------------------------------
r1495 | const_k | 2003-07-02 00:19:17 +0700 (Wed, 02 Jul 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.h

Fixed a number of minor problems with -connect and -sharewindow
options. Added the possibility to use the -connect option without
arguments, to bring up the "Add New Client" dialog.

------------------------------------------------------------------------
r1494 | const_k | 2003-07-02 00:14:44 +0700 (Wed, 02 Jul 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp

Implemented a possibility to specify -sharewindow argument without
quotes, and fixed a problem with not counting the last character of
that argument.

------------------------------------------------------------------------
r1493 | const_k | 2003-07-02 00:11:26 +0700 (Wed, 02 Jul 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncService.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncService.h

Fixed broken case-insensitive comparison, and the problem with
restoring windows that were maximized. Also, general code improvements
were made.

------------------------------------------------------------------------
r1492 | const_k | 2003-07-01 23:57:15 +0700 (Tue, 01 Jul 2003) | 9 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Removed the code that searched a window by comparing window titles
with the substrings entered in window selection edit controls. The
code was broken in two ways -- it did not respect actual sharing mode
(window, full desktop or screen area), and it tried to find a window
even if one was already selected using the target icon (in the latter
case, the string in the edit control was not always a valid window
title). Also, window selection edit controls in both HorizonLive and
public configurations have been made read-only.

------------------------------------------------------------------------
r1491 | const_k | 2003-07-01 23:49:53 +0700 (Tue, 01 Jul 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncService.cpp

Showing an error message in cases when the window with a specified
title is not found, for the -sharewindow option. This is a patch from
Oleg Sheikin.

------------------------------------------------------------------------
r1490 | const_k | 2003-06-25 23:35:19 +0700 (Wed, 25 Jun 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

Now the usage help message lists nearly all the supported options.

------------------------------------------------------------------------
r1489 | const_k | 2003-06-25 23:31:56 +0700 (Wed, 25 Jun 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.h

Improved output of the WinVNC -help option.

------------------------------------------------------------------------
r1488 | const_k | 2003-06-25 20:53:58 +0700 (Wed, 25 Jun 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Fixed the CopyRect handling that was completely broken. Basically, the
code from the version 1.2.8 has been copied, with minor changes to
respect variable framebuffer size.

------------------------------------------------------------------------
r1487 | const_k | 2003-06-25 20:49:36 +0700 (Wed, 25 Jun 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer
   M /orig/trunk/vnc_winsrc/vncviewer/.cvsignore
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/Makefile.bcc32
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/winvnc/Makefile.bcc32
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

The code ported to the Borland C++ compiler.

------------------------------------------------------------------------
r1486 | const_k | 2003-06-25 20:46:30 +0700 (Wed, 25 Jun 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Fixed a bug with incorrect deletion of FileTransfer objects.

------------------------------------------------------------------------
r1485 | const_k | 2003-06-25 20:43:28 +0700 (Wed, 25 Jun 2003) | 6 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp

Solved a problem with parsing command line option names. Older
versions would treat -killANYTHING as -kill, and that could cause
problems if options like -killallclients were misspeled. Now only
-kill and -killallclients will work, -killsomething will result
showing the help message.

------------------------------------------------------------------------
r1484 | const_k | 2003-06-25 20:40:57 +0700 (Wed, 25 Jun 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.h
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.h
   M /orig/trunk/vnc_winsrc/winvnc/vncService.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncService.h

Implemented new -killallclients command-line option in WinVNC.

------------------------------------------------------------------------
r1483 | const_k | 2003-06-15 02:04:28 +0700 (Sun, 15 Jun 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncService.cpp

A bugfix for the "-sharewindow" option implementation, from Oleg
Sheikin.

------------------------------------------------------------------------
r1482 | const_k | 2003-06-15 02:02:16 +0700 (Sun, 15 Jun 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/Daemon.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h

Minor code improvements from Oleg Sheikin.

------------------------------------------------------------------------
r1481 | const_k | 2003-06-15 01:59:37 +0700 (Sun, 15 Jun 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.h
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncService.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncService.h

Implemented new "-sharewindow" command-line option in WinVNC. It
allows identifying a window to share, by specifying a substring of its
title. Similar function is added in the Properties dialog. This is a
patch from Oleg Sheikin.

------------------------------------------------------------------------
r1480 | const_k | 2003-06-05 02:51:35 +0700 (Thu, 05 Jun 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp

A set of minor changes from HorizonLive to synchronize versions. This
includes enabling loopback connections in the HorizonLive
configuration, a minor change in a text message, and one bugfix.

------------------------------------------------------------------------
r1479 | const_k | 2003-06-05 02:47:03 +0700 (Thu, 05 Jun 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc

Now the Java classes will not be included in the HorizonLive
configuration.

------------------------------------------------------------------------
r1478 | const_k | 2003-06-05 02:43:55 +0700 (Thu, 05 Jun 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncAdvancedProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Restored the code closing the HKCU registry hive. This code was
removed to workaround a password reset problem, but had introduced
another issue that can be considered even worse. Now we should find
other ways to fix old password reset problem.

------------------------------------------------------------------------
r1477 | const_k | 2003-05-29 13:33:48 +0700 (Thu, 29 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/Daemon.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h

Chosen more appropriate names for the registry settings.

------------------------------------------------------------------------
r1476 | const_k | 2003-05-23 13:39:33 +0700 (Fri, 23 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/HotKeys.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/HotKeys.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCHelp.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCHelp.h
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.cpp

Minor improvements in VNCHelp and HotKeys class implementations.

------------------------------------------------------------------------
r1475 | const_k | 2003-05-23 11:18:14 +0700 (Fri, 23 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Changed the titles of the dialog boxes.

------------------------------------------------------------------------
r1474 | const_k | 2003-05-22 13:34:50 +0700 (Thu, 22 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/Daemon.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/Flasher.cpp
   A /orig/trunk/vnc_winsrc/vncviewer/HotKeys.cpp
   A /orig/trunk/vnc_winsrc/vncviewer/HotKeys.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCviewerApp.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.h

The code for keyboard accelerator handling has been moved to a
separate HotKeys class.

------------------------------------------------------------------------
r1473 | const_k | 2003-05-21 23:13:18 +0700 (Wed, 21 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCHelp.cpp

Fixed a problem with context help for spin controls, a patch from Oleg
Sheikin.

------------------------------------------------------------------------
r1472 | const_k | 2003-05-21 13:54:35 +0700 (Wed, 21 May 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

Changed the bounds of valid values in edit controls "Verbosity level",
"Number of connections to remember" and "Accept reverse VNC
connections on TCP port". This is a patch from Oleg Sheikin.

------------------------------------------------------------------------
r1471 | const_k | 2003-05-21 00:39:56 +0700 (Wed, 21 May 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h

Added the code to handle the "Small dot cursor" radio button, and
introduced the new "-smalldotcursor" command-line option. Also,
changing the local cursor shape now has immediate effect in all
windows.

------------------------------------------------------------------------
r1470 | const_k | 2003-05-20 23:31:19 +0700 (Tue, 20 May 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Added the code to handle the Browse button in the Global Options
dialog. Also, there are minor code improvements. This is a patch from
Oleg Sheikin.

------------------------------------------------------------------------
r1469 | const_k | 2003-05-19 18:13:14 +0700 (Mon, 19 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Layout changes in the FileTransfer dialog box.

------------------------------------------------------------------------
r1468 | const_k | 2003-05-19 08:51:04 +0700 (Mon, 19 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Corrected the order of controls in the Options dialog.

------------------------------------------------------------------------
r1467 | const_k | 2003-05-19 08:47:42 +0700 (Mon, 19 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/cursor1.cur
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   A /orig/trunk/vnc_winsrc/vncviewer/res/smalldot.cur
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp

Finished with the descriptions for controls in the Global Options.
Also, added one more local cursor shape.

------------------------------------------------------------------------
r1466 | const_k | 2003-05-19 08:40:58 +0700 (Mon, 19 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFullScreen.cpp

Changes in the full-screen mode handling.

------------------------------------------------------------------------
r1464 | const_k | 2003-05-18 14:35:52 +0700 (Sun, 18 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h

Code improvements from Dennis Syrovatsky.

------------------------------------------------------------------------
r1463 | const_k | 2003-05-18 14:32:07 +0700 (Sun, 18 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Fixed a bug with showing Ctrl and Alt buttons on corresponding key
presses with toolbar turned off. This is a patch from Oleg Sheikin.

------------------------------------------------------------------------
r1462 | const_k | 2003-05-18 14:29:11 +0700 (Sun, 18 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h

Minor code improvements from Oleg Sheikin.

------------------------------------------------------------------------
r1461 | const_k | 2003-05-14 19:22:54 +0700 (Wed, 14 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCHelp.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Layout changes in the Globals tab of the Options dialog.

------------------------------------------------------------------------
r1460 | const_k | 2003-05-13 18:04:13 +0700 (Tue, 13 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h

Minor code improvements from Oleg Sheikin.

------------------------------------------------------------------------
r1459 | const_k | 2003-05-13 17:59:32 +0700 (Tue, 13 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h

Code improvements. Also, fixed a bug with downloading files.

------------------------------------------------------------------------
r1458 | const_k | 2003-05-13 17:32:26 +0700 (Tue, 13 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Fixed a problem with sockets not closed immediately on performing a
disconnect or closing the window.

------------------------------------------------------------------------
r1457 | const_k | 2003-05-13 14:44:08 +0700 (Tue, 13 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/toolbar.bmp
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Improved menus, toolbar images, and toolbar tooltips. Also, there are
few code improvements.

------------------------------------------------------------------------
r1456 | const_k | 2003-05-07 12:37:42 +0700 (Wed, 07 May 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

Fixed an issue with removing the host name from the session dialog
after visiting Options or after failed authentication. This is a patch
from Oleg Sheikin.

------------------------------------------------------------------------
r1455 | const_k | 2003-05-07 03:32:08 +0700 (Wed, 07 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Fixed a problem causing vncviewer shutdown on closing just one window;
a patch from Oleg Sheikin.

------------------------------------------------------------------------
r1454 | const_k | 2003-05-06 15:23:04 +0700 (Tue, 06 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

Validating text fields on operations with corresponding spin controls,
a patch from Oleg Sheikin.

------------------------------------------------------------------------
r1453 | const_k | 2003-05-06 14:13:33 +0700 (Tue, 06 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Version information changed, version 1.3dev1.

------------------------------------------------------------------------
r1452 | const_k | 2003-05-06 12:24:17 +0700 (Tue, 06 May 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp

Fixed a bug with a non-initialized variable that used to enable the
file transfer option when it should be disabled. There is a number of
code improvements as well.

------------------------------------------------------------------------
r1451 | const_k | 2003-05-06 05:24:19 +0700 (Tue, 06 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   A /orig/trunk/vnc_winsrc/vncviewer/LoginAuthDialog.cpp
   A /orig/trunk/vnc_winsrc/vncviewer/LoginAuthDialog.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp

Alternative Unix login authentication has been implemented in the
viewer for Ki NETWORKS, Inc.

------------------------------------------------------------------------
r1450 | const_k | 2003-05-05 23:38:07 +0700 (Mon, 05 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

Checking lower bounds of values in edit controls with spins, a patch
from Oleg Sheikin.

------------------------------------------------------------------------
r1449 | const_k | 2003-05-05 15:15:47 +0700 (Mon, 05 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Code enhancements. Also, now the same button is used both for upload
and download actions. This is a patch from Dennis Syrovatsky.

------------------------------------------------------------------------
r1448 | const_k | 2003-05-05 13:05:11 +0700 (Mon, 05 May 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCviewerApp32.cpp

A long-standing bug has been fixed -- the logic to handle retries
after authentication failures was flawed, and used to delete the same
object twice under certain conditions.

------------------------------------------------------------------------
r1447 | const_k | 2003-05-05 11:17:12 +0700 (Mon, 05 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/CapsContainer.h

Tiny code improvement - joined two overloaded constructors.

------------------------------------------------------------------------
r1446 | const_k | 2003-05-05 04:51:07 +0700 (Mon, 05 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/toolbar.bmp

Enhanced toolbar images.

------------------------------------------------------------------------
r1445 | const_k | 2003-05-05 01:40:49 +0700 (Mon, 05 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Another minor code improvement.

------------------------------------------------------------------------
r1444 | const_k | 2003-05-04 15:50:06 +0700 (Sun, 04 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp

Minor code improvement.

------------------------------------------------------------------------
r1443 | const_k | 2003-05-04 01:29:53 +0700 (Sun, 04 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.h

Minor code improvement.

------------------------------------------------------------------------
r1442 | const_k | 2003-05-03 19:53:18 +0700 (Sat, 03 May 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Fixed a bug with access to empty folders in the file transfer
interface. Now users can open empty folders and thus copy to empty
folders. This is a patch from Dennis Syrovatsky.

------------------------------------------------------------------------
r1440 | const_k | 2003-05-03 15:46:08 +0700 (Sat, 03 May 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

More help descriptions, for static elements.

------------------------------------------------------------------------
r1439 | const_k | 2003-05-03 11:34:06 +0700 (Sat, 03 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Help descriptions were added to static dialog elements -- a patch from
Oleg Sheikin.

------------------------------------------------------------------------
r1438 | const_k | 2003-05-03 03:44:23 +0700 (Sat, 03 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/toolbar.bmp

Changed toolbar images, added new button for sending Ctrl-Esc -- a
patch from Oleg Sheikin.

------------------------------------------------------------------------
r1437 | const_k | 2003-05-02 17:46:38 +0700 (Fri, 02 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp

Using 8-bit colors in the "Low-bandwidth connection" profile -- a
patch from Oleg Sheikin.

------------------------------------------------------------------------
r1436 | const_k | 2003-05-02 00:38:11 +0700 (Fri, 02 May 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Inactivating JPEG compression option on setting color format to 8
bits. Making static labels gray together with related controls.
Changed the order of encodings in the combo box. This is a patch from
Oleg Sheikin.

------------------------------------------------------------------------
r1435 | const_k | 2003-05-01 21:20:42 +0700 (Thu, 01 May 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

Validating edit controls after they loose the focus, instead of
validation on each text change.

------------------------------------------------------------------------
r1433 | const_k | 2003-04-15 20:50:46 +0700 (Tue, 15 Apr 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Finished help messages for the "Connection options" tab.

------------------------------------------------------------------------
r1432 | const_k | 2003-04-15 20:43:44 +0700 (Tue, 15 Apr 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Validating input in text fields made entering numbers nearly
impossible; a quick fix from Oleg Sheikin.

------------------------------------------------------------------------
r1431 | const_k | 2003-04-15 00:33:32 +0700 (Tue, 15 Apr 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

More help messages for the "Connection options" dialog.

------------------------------------------------------------------------
r1430 | const_k | 2003-04-15 00:28:27 +0700 (Tue, 15 Apr 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h

"General options" renamed to "global options".

------------------------------------------------------------------------
r1429 | const_k | 2003-04-15 00:25:49 +0700 (Tue, 15 Apr 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Layout improvements in the Options dialog.

------------------------------------------------------------------------
r1428 | const_k | 2003-04-15 00:22:58 +0700 (Tue, 15 Apr 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

A better way to set child dialogs' positions within the Tab control.
Minor layout changes in the Options dialog, and minor code
improvements.

------------------------------------------------------------------------
r1427 | const_k | 2003-04-14 14:56:14 +0700 (Mon, 14 Apr 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCHelp.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Help messages for static controls in dialogs that will duplicate help
messages for corresponding active controls. Also, compression level
and quality level set to 6 by default, for all connection profiles.
This is a patch from Oleg Sheikin.

------------------------------------------------------------------------
r1426 | const_k | 2003-04-09 05:29:12 +0700 (Wed, 09 Apr 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Minor layout changes in the session dialog, improved help messages.
This should be the final version of this dialog box.

------------------------------------------------------------------------
r1421 | const_k | 2003-04-01 19:38:49 +0700 (Tue, 01 Apr 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Tiny code cleanups.

------------------------------------------------------------------------
r1420 | const_k | 2003-04-01 01:58:43 +0700 (Tue, 01 Apr 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Another set of changes in the protocol version 3.130. Now the client
won't send tunneling or authentication type if the server does not
support tunneling, or does not require authentication.

------------------------------------------------------------------------
r1419 | const_k | 2003-04-01 01:27:56 +0700 (Tue, 01 Apr 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h

Minor code improvement. This patch and the previous patch were made by
Oleg Sheikin.

------------------------------------------------------------------------
r1418 | const_k | 2003-04-01 01:16:43 +0700 (Tue, 01 Apr 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

New EnableFullControlOptions() function has been added to
enable/disable commands and options that do not make sense in the
view-only mode.

------------------------------------------------------------------------
r1417 | const_k | 2003-03-31 04:54:36 +0700 (Mon, 31 Mar 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Minor change in the layout of the "load connection" button in the
Session dialog, and a better help text for this button.

------------------------------------------------------------------------
r1416 | const_k | 2003-03-29 20:10:17 +0600 (Sat, 29 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

File transfers disabled in the HorizonLive build configuration.

------------------------------------------------------------------------
r1415 | const_k | 2003-03-29 03:46:05 +0600 (Sat, 29 Mar 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

The "Scale by" check box has been deleted -- the scaling will be
turned off on selecting 100%. Also, there is a number of code
improvements. This is a patch from Oleg Sheikin.

------------------------------------------------------------------------
r1414 | const_k | 2003-03-29 03:41:19 +0600 (Sat, 29 Mar 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/CapsContainer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/CapsContainer.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

The protocol 3.130 has been changed once again. Now the authentication
scheme is selected on the client side, and tunneling is established
before the server advertises its authentication capabilities.

------------------------------------------------------------------------
r1413 | const_k | 2003-03-25 00:33:45 +0600 (Tue, 25 Mar 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Connection-specific options will be saved in the registry after
establishing the connection, and on each change during the active
connection. This and previous patches came from Oleg Sheikin.

------------------------------------------------------------------------
r1412 | const_k | 2003-03-25 00:30:49 +0600 (Tue, 25 Mar 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp

On pressing the "Cancel" button in the session window, the "Options"
dialog now will be removed (if open) on closing the session window
itself.

------------------------------------------------------------------------
r1411 | const_k | 2003-03-25 00:25:57 +0600 (Tue, 25 Mar 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

When using the "load connection" button, the connection to a server
now will be established only on pressing the "Connect" button. The
load button will only allow to load the connection parameters. This is
a patch from Oleg Sheikin.

------------------------------------------------------------------------
r1410 | const_k | 2003-03-24 03:50:28 +0600 (Mon, 24 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp

Just a minor code formatting change.

------------------------------------------------------------------------
r1409 | const_k | 2003-03-24 03:48:49 +0600 (Mon, 24 Mar 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.h

Forgot to apply a change from the BRANCH_1_2_STABLE -- a possibility
to specify port numbers with winvnc -connect option, using the format
"host::port".

------------------------------------------------------------------------
r1408 | const_k | 2003-03-24 03:41:17 +0600 (Mon, 24 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/AboutBox.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFullScreen.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCHelp.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCHelp.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCviewerApp32.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.cpp

Code formatting improvements from Oleg Sheikin.

------------------------------------------------------------------------
r1407 | const_k | 2003-03-24 03:31:21 +0600 (Mon, 24 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

A few more help hints in the options dialog.

------------------------------------------------------------------------
r1406 | const_k | 2003-03-24 03:27:43 +0600 (Mon, 24 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Minor layout changes in the Session dialog.

------------------------------------------------------------------------
r1405 | const_k | 2003-03-24 03:23:51 +0600 (Mon, 24 Mar 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFile.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp

The "Open" window now blocks the "Connection details" dialog box. This
is a patch from Oleg Sheikin.

------------------------------------------------------------------------
r1404 | const_k | 2003-03-24 03:19:37 +0600 (Mon, 24 Mar 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Fixed a bug in the file upload code. Added checking for free disk
space on downloads at the client side. Added checking client path
correctness on downloads. Also, there are code formatting
improvements. This is a patch from Dennis Syrovatsky.

------------------------------------------------------------------------
r1403 | const_k | 2003-03-23 02:42:38 +0600 (Sun, 23 Mar 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFile.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h

Fixed a problem with "Options" and "load connection" buttons that made
it possible to open several instances of corresponding dialog windows.
This is a patch from Oleg Sheikin.

------------------------------------------------------------------------
r1402 | const_k | 2003-03-23 02:38:50 +0600 (Sun, 23 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

A tiny change in the layout of the "load connection" button.

------------------------------------------------------------------------
r1401 | const_k | 2003-03-23 02:23:49 +0600 (Sun, 23 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/AboutBox.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFile.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/Daemon.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/Flasher.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCHelp.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCviewerApp32.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.h

Minor code formatting improvements, from Oleg Sheikin.

------------------------------------------------------------------------
r1400 | const_k | 2003-03-23 02:19:12 +0600 (Sun, 23 Mar 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFile.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.h

In the "Connection details" dialog box, added the possibility to load
connection parameters from a file. In the "Options" dialog box, added
the possibility to set port number for the listening mode. This is a
patch from Oleg Sheikin.

------------------------------------------------------------------------
r1399 | const_k | 2003-03-23 02:14:43 +0600 (Sun, 23 Mar 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Fixed a bug with writing to the memory beyond the declared array size.
This bug caused strange effects like strlen("") returning 1 :-) thus
preventing file transfer interface from working correctly.

------------------------------------------------------------------------
r1398 | const_k | 2003-03-23 02:11:27 +0600 (Sun, 23 Mar 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Fixed a bug - the code did not check the return value properly after
calling FindFirstFile(). This bug crashed the server after a client
requested the file list for a non-existing path.

------------------------------------------------------------------------
r1397 | const_k | 2003-03-23 02:07:02 +0600 (Sun, 23 Mar 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/CapsContainer.h

Eliminated numerous warnings while compiling in the DEBUG
configuration.

------------------------------------------------------------------------
r1395 | const_k | 2003-03-18 04:11:58 +0600 (Tue, 18 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Fixes in the file transfer implementation, from Dennis Syrovatsky.

------------------------------------------------------------------------
r1393 | const_k | 2003-03-12 23:35:07 +0600 (Wed, 12 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h

Minor formatting change in a comment.

------------------------------------------------------------------------
r1392 | const_k | 2003-03-12 23:27:05 +0600 (Wed, 12 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

A tiny change in the comment text.

------------------------------------------------------------------------
r1390 | const_k | 2003-03-12 16:10:28 +0600 (Wed, 12 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Minor code enhancements.

------------------------------------------------------------------------
r1389 | const_k | 2003-03-12 00:11:50 +0600 (Wed, 12 Mar 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCviewerApp32.cpp

Restored broken feature to listen for reverse connections on an
arbitrary port.

------------------------------------------------------------------------
r1387 | const_k | 2003-03-08 00:52:43 +0600 (Sat, 08 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Minor bugfixes and cleanups from Oleg Sheikin.

------------------------------------------------------------------------
r1386 | const_k | 2003-03-06 15:20:01 +0600 (Thu, 06 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

Handling of the WM_HELP message in the Options dialog.

------------------------------------------------------------------------
r1385 | const_k | 2003-03-06 15:14:43 +0600 (Thu, 06 Mar 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Restrictions on entering incorrect values to the controls "Scale by",
"Amount of connections" and "Log level", in the Options dialog; a
change from Oleg Sheikin.

------------------------------------------------------------------------
r1384 | const_k | 2003-03-06 15:10:57 +0600 (Thu, 06 Mar 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/toolbar.bmp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.cpp

Added a button to the toolbar for file transfers, and an accelerator
Ctrl-Alt-Shift-E; a change by Oleg Sheikin.

------------------------------------------------------------------------
r1383 | const_k | 2003-03-06 15:05:13 +0600 (Thu, 06 Mar 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Changed width of columns in the FileTransfer dialog to get rid of a
horizontal scroll bar; a patch from Dennis Syrovatsky.

------------------------------------------------------------------------
r1382 | const_k | 2003-03-06 14:52:53 +0600 (Thu, 06 Mar 2003) | 6 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   A /orig/trunk/vnc_winsrc/vncviewer/VNCHelp.cpp
   A /orig/trunk/vnc_winsrc/vncviewer/VNCHelp.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.h

The "Connection Options" dialog has been converted from a Property
Sheet based solution to a modal dialog window with the Tab Control
element. This solves the problem of double pressing the F1 key. The
code has been transformed into a separate class, VNCHelp. This is a
set of changes by Oleg Sheikin.

------------------------------------------------------------------------
r1381 | const_k | 2003-03-06 13:48:10 +0600 (Thu, 06 Mar 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/libjpeg/libjpeg.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/zlib/zlib.dsp

MS-DOS style line endings converted to Unix linefeeds. Let CVS convert
them when needed.

------------------------------------------------------------------------
r1380 | const_k | 2003-03-06 13:40:34 +0600 (Thu, 06 Mar 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   A /orig/trunk/vnc_winsrc/vncviewer/res/filereload.ico
   A /orig/trunk/vnc_winsrc/vncviewer/res/fileup.ico
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp

Various changes in the FileTransfer dialog, e.g. added "Up" and
"Reload" buttons.

------------------------------------------------------------------------
r1374 | const_k | 2003-02-28 17:33:25 +0600 (Fri, 28 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

Improved system and tray menus of the vncviewer.

------------------------------------------------------------------------
r1373 | const_k | 2003-02-27 01:34:01 +0600 (Thu, 27 Feb 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Added message type negotiation -- now all the protocol messages used
in file transfers are properly advertised by the server. The client
enables file transfers only if it knows they are supported by the
server.

------------------------------------------------------------------------
r1372 | const_k | 2003-02-26 17:36:14 +0600 (Wed, 26 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h

Leading tabs replaced with spaces, to make the file suitable for
inclusion into the Unix version of TightVNC.

------------------------------------------------------------------------
r1371 | const_k | 2003-02-26 17:33:11 +0600 (Wed, 26 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Added signatures for non-standard messages and known encodings into
rfbproto.h, to prevent duplication in server and viewer parts.

------------------------------------------------------------------------
r1370 | const_k | 2003-02-25 20:33:54 +0600 (Tue, 25 Feb 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Protocol version 3.130 has been changed once again. Now the server
informs the client about all supported encodings, besides "raw". The
client can use this information to choose which encodings to request
(although current viewer does not try to be that smart).

------------------------------------------------------------------------
r1369 | const_k | 2003-02-25 20:29:04 +0600 (Tue, 25 Feb 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h

Both the server and the viewer were made interoperable with the RFB
protocol 3.3 used in the standard VNC/RealVNC and in TightVNC 1.2.x
versions.

------------------------------------------------------------------------
r1368 | const_k | 2003-02-25 20:25:15 +0600 (Tue, 25 Feb 2003) | 6 lines
Changed paths:
   A /orig/trunk/vnc_winsrc/vncviewer/CapsContainer.cpp
   A /orig/trunk/vnc_winsrc/vncviewer/CapsContainer.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp

New CapsContainer class has been implemented. It is used to keep lists
of protocol features (capabilities) advertised by the server in
protocol version 3.130. The ClientConnection class maintains four
capability lists: tunneling methods, authentication schemes,
server->client protocol messages, and client->server messages.

------------------------------------------------------------------------
r1367 | const_k | 2003-02-25 02:43:51 +0600 (Tue, 25 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

A typo fixed, and a questionable comment removed.

------------------------------------------------------------------------
r1366 | const_k | 2003-02-25 02:41:02 +0600 (Tue, 25 Feb 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

For recent protocol changes (version 3.130), structure and field names
have been changed. Also, corresponding functions in both server and
client have been renamed.

------------------------------------------------------------------------
r1365 | const_k | 2003-02-25 02:38:01 +0600 (Tue, 25 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   A /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.cpp
   A /orig/trunk/vnc_winsrc/vncviewer/FileTransfer.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Initial file transfer implementation from Dennis Syrovatsky.

------------------------------------------------------------------------
r1363 | const_k | 2003-02-23 12:51:53 +0600 (Sun, 23 Feb 2003) | 3 lines
Changed paths:
   A /orig/trunk/vnc_winsrc/rfb
   A /orig/trunk/vnc_winsrc/rfb/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/rfb.h
   D /orig/trunk/vnc_winsrc/vncviewer/rfbproto.h
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/rfb.h
   D /orig/trunk/vnc_winsrc/winvnc/rfbproto.h

The rfbproto.h file from both winvnc/ and vncviewer/ has been moved to
the new rfb/ directory, to have just one copy instead of two.

------------------------------------------------------------------------
r1362 | const_k | 2003-02-23 12:44:52 +0600 (Sun, 23 Feb 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.h
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.h

Unused code has been removed -- m_capability and m_teleport fields in
the vncClient class, and corresponding functions in both vncClient and
vncServer.

------------------------------------------------------------------------
r1361 | const_k | 2003-02-23 12:35:29 +0600 (Sun, 23 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc
   M /orig/trunk/vnc_winsrc/winvnc/.cvsignore

Ignoring WinVNC.log.bak as well.

------------------------------------------------------------------------
r1358 | const_k | 2003-02-23 00:31:55 +0600 (Sun, 23 Feb 2003) | 6 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/rfbproto.h
   M /orig/trunk/vnc_winsrc/winvnc/rfbproto.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

The protocol has been changed, the protocol version is now 3.130.
Protocol modification make it possible to negotiate "tunneling" (e.g.
encryption) methods, authentication types and additional protocol
messages. This version of the protocol is incompatible with 3.3,
compatibility issues should be solved in the next commit.

------------------------------------------------------------------------
r1357 | const_k | 2003-02-23 00:28:03 +0600 (Sun, 23 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc
   M /orig/trunk/vnc_winsrc/winvnc/.cvsignore

Ignoring WinVNC.log.

------------------------------------------------------------------------
r1356 | const_k | 2003-02-23 00:25:38 +0600 (Sun, 23 Feb 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/rfbproto.h

Reverted from the protocol version 3.5 back to 3.3 in the viewer.
Also, removed the "inline" modifier from the
ClientConnection::ReadExact() function.

------------------------------------------------------------------------
r1354 | const_k | 2003-02-19 14:45:48 +0600 (Wed, 19 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncAdvancedProperties.cpp

Removed commented-out code.

------------------------------------------------------------------------
r1353 | const_k | 2003-02-19 14:40:59 +0600 (Wed, 19 Feb 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

A quick fix for the problem with "QuerySetting" and "QueryTimeout"
options -- they could be copied from user to default settings without
user's intention.

------------------------------------------------------------------------
r1352 | const_k | 2003-02-19 14:40:19 +0600 (Wed, 19 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncAdvancedProperties.cpp

Removed a MessageBox() used for debugging purposes.

------------------------------------------------------------------------
r1351 | const_k | 2003-02-19 14:39:36 +0600 (Wed, 19 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

Removed an extra line causing a compilation failure.

------------------------------------------------------------------------
r1350 | const_k | 2003-02-19 14:30:28 +0600 (Wed, 19 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc
   A /orig/trunk/vnc_winsrc/.cvsignore
   M /orig/trunk/vnc_winsrc/vncviewer
   A /orig/trunk/vnc_winsrc/vncviewer/.cvsignore
   M /orig/trunk/vnc_winsrc/vncviewer/libjpeg
   A /orig/trunk/vnc_winsrc/vncviewer/libjpeg/.cvsignore
   M /orig/trunk/vnc_winsrc/vncviewer/omnithread
   A /orig/trunk/vnc_winsrc/vncviewer/omnithread/.cvsignore
   M /orig/trunk/vnc_winsrc/vncviewer/res
   A /orig/trunk/vnc_winsrc/vncviewer/res/.cvsignore
   M /orig/trunk/vnc_winsrc/vncviewer/zlib
   A /orig/trunk/vnc_winsrc/vncviewer/zlib/.cvsignore
   M /orig/trunk/vnc_winsrc/winvnc
   A /orig/trunk/vnc_winsrc/winvnc/.cvsignore
   M /orig/trunk/vnc_winsrc/winvnc/VNCHooks
   A /orig/trunk/vnc_winsrc/winvnc/VNCHooks/.cvsignore
   M /orig/trunk/vnc_winsrc/winvnc/libjpeg
   A /orig/trunk/vnc_winsrc/winvnc/libjpeg/.cvsignore
   M /orig/trunk/vnc_winsrc/winvnc/zlib
   A /orig/trunk/vnc_winsrc/winvnc/zlib/.cvsignore

Added .cvsignore files, to make CVS ignore library and temporary
files.

------------------------------------------------------------------------
r1344 | const_k | 2003-02-07 15:42:26 +0600 (Fri, 07 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

Don't try to show a context help window if the control id is zero.
Also, set popup.cbStruct to the correct value.

------------------------------------------------------------------------
r1343 | const_k | 2003-02-07 15:30:01 +0600 (Fri, 07 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

Reset keyboard modifiers' states on loosing focus.

------------------------------------------------------------------------
r1342 | const_k | 2003-02-07 15:28:26 +0600 (Fri, 07 Feb 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

This patch from Oleg Sheikin sets correct default connection options,
and adds an ability to show numberic trackbar positions for
compression and JPEG quality levels.

------------------------------------------------------------------------
r1341 | const_k | 2003-02-07 15:11:18 +0600 (Fri, 07 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFullScreen.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

The values of the VNCOptions::m_skipprompt variable were made
correspond to its name; a patch from Oleg Sheikin.

------------------------------------------------------------------------
r1338 | const_k | 2003-02-06 05:00:26 +0600 (Thu, 06 Feb 2003) | 9 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncAcceptDialog.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp

Major bugfix -- handling of the QueryAllowNoPass option was seriously
broken. In addition to solving this issue, this patch re-organizes and
fixes the InitAuthenticate() function in several more ways. E.g. the
order of checks is now different -- first it checks for disabled empty
passwords and loopback connections, then it checks AuthHosts settings
and shows the query dialog, and only after that it requests
authentication if necessary. Now the InitAuthenticate() function is
much more mature and its code is much more readable.

------------------------------------------------------------------------
r1337 | const_k | 2003-02-06 04:25:06 +0600 (Thu, 06 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp

A compilation warning was eliminated, and a few obsolete comments were
removed.

------------------------------------------------------------------------
r1336 | const_k | 2003-02-05 23:42:14 +0600 (Wed, 05 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp

Applied a patch to save boolean configuration items as DWORD in the
registry, instead of strings.

------------------------------------------------------------------------
r1335 | const_k | 2003-02-05 23:38:07 +0600 (Wed, 05 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp

Minor cleanups.

------------------------------------------------------------------------
r1334 | const_k | 2003-02-05 21:08:55 +0600 (Wed, 05 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncAdvancedProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncDesktop.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp

A cleanup: "#if !defined HORIZONLIVE" -> "#ifndef HORIZONLIVE".

------------------------------------------------------------------------
r1332 | const_k | 2003-02-05 05:25:55 +0600 (Wed, 05 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/AboutBox.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc

The layout and functionality of the Help dialog has been improved. The
Escape key handling has been implemented in Help and About dialogs.

------------------------------------------------------------------------
r1331 | const_k | 2003-02-05 05:18:38 +0600 (Wed, 05 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp

A workaround for the problem with crashing on double-pressing F1 in
the session dialog.

------------------------------------------------------------------------
r1330 | const_k | 2003-02-05 05:14:37 +0600 (Wed, 05 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/omnithread/omnithread.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/zlib/zlib.dsp

MSVC++ project files updated -- non-working Profile configuration has
been removed, Debug configuration has been corrected.

------------------------------------------------------------------------
r1329 | const_k | 2003-02-05 00:43:19 +0600 (Wed, 05 Feb 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.cpp

Fixed a bug with window positioning when the toolbar is off, in the
SizeWindow() method. Also, the "centered" parameter of the same
function is now functional. These changes were sent by Oleg Sheikin.

------------------------------------------------------------------------
r1328 | const_k | 2003-02-03 16:10:07 +0600 (Mon, 03 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFullScreen.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.cpp

Code formatting fixes from Oleg Sheikin.

------------------------------------------------------------------------
r1312 | const_k | 2003-01-22 07:54:27 +0600 (Wed, 22 Jan 2003) | 5 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncService.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncService.h

Ported code from RealVNC 3.3.6: added RemoveWallpaper and LockSetting
options to the Properties dialog; ported changes from vncMenu.cpp
including AllowEditClients option, killing Active Desktop on removing
wallpaper, and other less significant changes.

------------------------------------------------------------------------
r1311 | const_k | 2003-01-22 05:42:53 +0600 (Wed, 22 Jan 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp

Minor GUI improvement: moving initial keyboard focus in the Properties
dialog to the password text field.

------------------------------------------------------------------------
r1310 | const_k | 2003-01-22 05:37:50 +0600 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.cpp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.h
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.rc
   M /orig/trunk/vnc_winsrc/winvnc/resource.h
   M /orig/trunk/vnc_winsrc/winvnc/vncClient.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncMenu.h
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncProperties.h
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncServer.h
   M /orig/trunk/vnc_winsrc/winvnc/vncService.cpp
   M /orig/trunk/vnc_winsrc/winvnc/vncService.h

Ported support for two passwords from BRANCH_1_2_STABLE.

------------------------------------------------------------------------
r1309 | const_k | 2003-01-22 05:34:29 +0600 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp

Moved resource files to the Resource folder in the project filelist.

------------------------------------------------------------------------
r1300 | const_k | 2003-01-16 20:03:05 +0600 (Thu, 16 Jan 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp

Improved layout, text and help messages for the New Connection dialog,
corrected the MSVC++ project file (only for the Release configuration
yet).

------------------------------------------------------------------------
r1299 | const_k | 2003-01-16 19:27:32 +0600 (Thu, 16 Jan 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/vncviewer/AboutBox.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/AboutBox.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnection.h
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionClipboard.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/ClientConnectionFullScreen.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/Daemon.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/Flasher.cpp
   D /orig/trunk/vnc_winsrc/vncviewer/MRU.cpp
   D /orig/trunk/vnc_winsrc/vncviewer/MRU.h
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/SessionDialog.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCOptions.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCviewerApp.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCviewerApp.h
   M /orig/trunk/vnc_winsrc/vncviewer/VNCviewerApp32.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/VNCviewerApp32.h
   M /orig/trunk/vnc_winsrc/vncviewer/res/resource.h
   A /orig/trunk/vnc_winsrc/vncviewer/res/toolbar.bmp
   M /orig/trunk/vnc_winsrc/vncviewer/res/vncviewer.rc
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.cpp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.dsp
   M /orig/trunk/vnc_winsrc/vncviewer/vncviewer.h

A set of major changes from Oleg Sheikin: toolbar, hotkeys, context
help, more configuration options, saving per-connection options in the
registry, other GUI improvements.

------------------------------------------------------------------------
r1292 | const_k | 2002-12-26 18:28:50 +0600 (Thu, 26 Dec 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/BUILDING.txt

Removed the note about "No_CORBA" configuration which is now obsolete.

------------------------------------------------------------------------
r1291 | const_k | 2002-12-26 18:26:55 +0600 (Thu, 26 Dec 2002) | 4 lines
Changed paths:
   M /orig/trunk/vnc_winsrc/winvnc/VNCHooks/VNCHooks.dsp
   M /orig/trunk/vnc_winsrc/winvnc/WinVNC.dsp
   M /orig/trunk/vnc_winsrc/winvnc/libjpeg/libjpeg.dsp
